/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#include " .h"

namespace io {
namespace swagger {
namespace client {
namespace model {

 :: ()
{
    m_Mail = U("");
    m_Website = U("");
    m_Mysql = false;
    m_Size = U("");
    m_Mssql = false;
    m_Dynamic_content = false;
    m_Php_exec = false;
    m_Ftp2 = U("");
    
}

 ::~ ()
{
}

void  ::validate() 
{
    // TODO: implement validation
}

web::json::value  ::toJson() const
{
    web::json::value val = web::json::value::object();
     
	val[U("mail")] = ModelBase::toJson(m_Mail);
    val[U("website")] = ModelBase::toJson(m_Website);
    val[U("mysql")] = ModelBase::toJson(m_Mysql);
    val[U("size")] = ModelBase::toJson(m_Size);
    val[U("mssql")] = ModelBase::toJson(m_Mssql);
    val[U("dynamic_content")] = ModelBase::toJson(m_Dynamic_content);
    val[U("php_exec")] = ModelBase::toJson(m_Php_exec);
    val[U("ftp2")] = ModelBase::toJson(m_Ftp2);
    

    return val;
}

void  ::fromJson(web::json::value& val)
{
    setMail(ModelBase::stringFromJson(val[U("mail")]));
    setWebsite(ModelBase::stringFromJson(val[U("website")]));
    setMysql(ModelBase::boolFromJson(val[U("mysql")]));
    setSize(ModelBase::stringFromJson(val[U("size")]));
    setMssql(ModelBase::boolFromJson(val[U("mssql")]));
    setDynamicContent(ModelBase::boolFromJson(val[U("dynamic_content")]));
    setPhpExec(ModelBase::boolFromJson(val[U("php_exec")]));
    setFtp2(ModelBase::stringFromJson(val[U("ftp2")]));
    
}

void  ::toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix) const
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

	multipart->add(ModelBase::toHttpContent(namePrefix + U("mail"), m_Mail));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("website"), m_Website));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("mysql"), m_Mysql));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("size"), m_Size));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("mssql"), m_Mssql));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("dynamic_content"), m_Dynamic_content));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("php_exec"), m_Php_exec));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("ftp2"), m_Ftp2));
    
}

void  ::fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix)
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

    setMail(ModelBase::stringFromHttpContent(multipart->getContent(U("mail"))));
    setWebsite(ModelBase::stringFromHttpContent(multipart->getContent(U("website"))));
    setMysql(ModelBase::boolFromHttpContent(multipart->getContent(U("mysql"))));
    setSize(ModelBase::stringFromHttpContent(multipart->getContent(U("size"))));
    setMssql(ModelBase::boolFromHttpContent(multipart->getContent(U("mssql"))));
    setDynamicContent(ModelBase::boolFromHttpContent(multipart->getContent(U("dynamic_content"))));
    setPhpExec(ModelBase::boolFromHttpContent(multipart->getContent(U("php_exec"))));
    setFtp2(ModelBase::stringFromHttpContent(multipart->getContent(U("ftp2"))));
    
}
    
   
utility::string_t  ::getMail() const
{
	return m_Mail;
}
void  ::setMail(utility::string_t value)
{
	m_Mail = value;
    
}
utility::string_t  ::getWebsite() const
{
	return m_Website;
}
void  ::setWebsite(utility::string_t value)
{
	m_Website = value;
    
}
bool  ::getMysql() const
{
	return m_Mysql;
}
void  ::setMysql(bool value)
{
	m_Mysql = value;
    
}
utility::string_t  ::getSize() const
{
	return m_Size;
}
void  ::setSize(utility::string_t value)
{
	m_Size = value;
    
}
bool  ::getMssql() const
{
	return m_Mssql;
}
void  ::setMssql(bool value)
{
	m_Mssql = value;
    
}
bool  ::getDynamicContent() const
{
	return m_Dynamic_content;
}
void  ::setDynamicContent(bool value)
{
	m_Dynamic_content = value;
    
}
bool  ::getPhpExec() const
{
	return m_Php_exec;
}
void  ::setPhpExec(bool value)
{
	m_Php_exec = value;
    
}
utility::string_t  ::getFtp2() const
{
	return m_Ftp2;
}
void  ::setFtp2(utility::string_t value)
{
	m_Ftp2 = value;
    
}

}
}
}
}

