/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 *  .h
 * 
 * 
 */

#ifndef  _H_
#define  _H_


#include "ModelBase.h"

#include <cpprest/details/basic_types.h>

namespace io {
namespace swagger {
namespace client {
namespace model {

/// <summary>
/// 
/// </summary>
class   
	: public ModelBase
{
public:
     ();
    virtual ~ ();

	/////////////////////////////////////////////
	/// ModelBase overrides
	
    void validate() override;

    web::json::value toJson() const override;
    void fromJson(web::json::value& json) override;

    void toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& namePrefix) const override;
    void fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& namePrefix) override;
    
 	/////////////////////////////////////////////
	///   members
	   
    /// <summary>
    /// Ограничение на количество почтовых ящиков. &#39;-&#39; означает отсутствие лимита.
    /// </summary>
    utility::string_t getMail() const;
    void setMail(utility::string_t value);
        /// <summary>
    /// Ограничение на количество сайтов. &#39;-&#39; означает отсутствие лимита.
    /// </summary>
    utility::string_t getWebsite() const;
    void setWebsite(utility::string_t value);
        /// <summary>
    /// MySQL разрешен, если true.
    /// </summary>
    bool getMysql() const;
    void setMysql(bool value);
        /// <summary>
    /// Ограничение на размер дискового пространства. &#39;-&#39; означает отсутствие лимита.
    /// </summary>
    utility::string_t getSize() const;
    void setSize(utility::string_t value);
        /// <summary>
    /// MSSQL разрешен, если true.
    /// </summary>
    bool getMssql() const;
    void setMssql(bool value);
        /// <summary>
    /// CGI и PHP скрипты разрешены, если true.
    /// </summary>
    bool getDynamicContent() const;
    void setDynamicContent(bool value);
        /// <summary>
    /// Функция exec() в PHP разрешена, если true.
    /// </summary>
    bool getPhpExec() const;
    void setPhpExec(bool value);
        /// <summary>
    /// Ограничение на количество дополнительных FTP логинов. &#39;-&#39; означает отсутствие лимита.
    /// </summary>
    utility::string_t getFtp2() const;
    void setFtp2(utility::string_t value);
        
protected:
    utility::string_t m_Mail;
    utility::string_t m_Website;
    bool m_Mysql;
    utility::string_t m_Size;
    bool m_Mssql;
    bool m_Dynamic_content;
    bool m_Php_exec;
    utility::string_t m_Ftp2;
    };

}
}
}
}

#endif /*  _H_ */
