/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#include "Inline_response_200_1.h"

namespace io {
namespace swagger {
namespace client {
namespace model {

Inline_response_200_1::Inline_response_200_1()
{
    m_Id = nullptr;
    m_Description = U("");
    m_Billing_group_id = nullptr;
    m_Blocked = U("");
    m_Blocked_date = U("");
    m_Blocked_dateIsSet = false;
    m_Blocked_reason = U("");
    m_Blocked_reasonIsSet = false;
    m_Plan_id = nullptr;
    m_Period_id = nullptr;
    m_Contract_type = nullptr;
    m_Client_id = nullptr;
    m_Client_login = U("");
    m_Contract_id = U("");
    m_Name_rus = U("");
    m_Name_eng = U("");
    m_Email = U("");
    m_Stat_sites = nullptr;
    m_Stat_size_mb = nullptr;
    m_Stat_emails = nullptr;
    m_Stat_mysqls = nullptr;
    m_Stat_tech = nullptr;
    m_Stat_nicd = nullptr;
    m_Stat_access_dynamic = nullptr;
    m_Stat_access_static = nullptr;
    m_Stat_access_traffic = nullptr;
    m_Stat_paid_total = nullptr;
    m_Stat_vds_size = nullptr;
    m___plan_name = U("");
    m___period_months = nullptr;
    m___expires = U("");
    m_External_currency_spelled_prefix = U("");
    m_External_currency_spelled_suffix = U("");
    
}

Inline_response_200_1::~Inline_response_200_1()
{
}

void Inline_response_200_1::validate() 
{
    // TODO: implement validation
}

web::json::value Inline_response_200_1::toJson() const
{
    web::json::value val = web::json::value::object();
     
	val[U("id")] = ModelBase::toJson(m_Id);
    val[U("description")] = ModelBase::toJson(m_Description);
    val[U("billing_group_id")] = ModelBase::toJson(m_Billing_group_id);
    val[U("blocked")] = ModelBase::toJson(m_Blocked);
    if(m_Blocked_dateIsSet)
    {
        val[U("blocked_date")] = ModelBase::toJson(m_Blocked_date);
    }
    if(m_Blocked_reasonIsSet)
    {
        val[U("blocked_reason")] = ModelBase::toJson(m_Blocked_reason);
    }
    val[U("credit_limit")] = ModelBase::toJson(m_Credit_limit);
    val[U("plan_id")] = ModelBase::toJson(m_Plan_id);
    val[U("period_id")] = ModelBase::toJson(m_Period_id);
    val[U("contract_type")] = ModelBase::toJson(m_Contract_type);
    val[U("client_id")] = ModelBase::toJson(m_Client_id);
    val[U("client_login")] = ModelBase::toJson(m_Client_login);
    val[U("contract_id")] = ModelBase::toJson(m_Contract_id);
    val[U("name_rus")] = ModelBase::toJson(m_Name_rus);
    val[U("name_eng")] = ModelBase::toJson(m_Name_eng);
    val[U("email")] = ModelBase::toJson(m_Email);
    val[U("stat_sites")] = ModelBase::toJson(m_Stat_sites);
    val[U("stat_size_mb")] = ModelBase::toJson(m_Stat_size_mb);
    val[U("stat_emails")] = ModelBase::toJson(m_Stat_emails);
    val[U("stat_mysqls")] = ModelBase::toJson(m_Stat_mysqls);
    val[U("stat_tech")] = ModelBase::toJson(m_Stat_tech);
    val[U("stat_nicd")] = ModelBase::toJson(m_Stat_nicd);
    val[U("stat_access_dynamic")] = ModelBase::toJson(m_Stat_access_dynamic);
    val[U("stat_access_static")] = ModelBase::toJson(m_Stat_access_static);
    val[U("stat_access_traffic")] = ModelBase::toJson(m_Stat_access_traffic);
    val[U("stat_paid_total")] = ModelBase::toJson(m_Stat_paid_total);
    val[U("stat_vds_size")] = ModelBase::toJson(m_Stat_vds_size);
    val[U("__plan_name")] = ModelBase::toJson(m___plan_name);
    val[U("__period_months")] = ModelBase::toJson(m___period_months);
    val[U("__period_price")] = ModelBase::toJson(m___period_price);
    val[U("__expires")] = ModelBase::toJson(m___expires);
    val[U("external_currency_spelled_prefix")] = ModelBase::toJson(m_External_currency_spelled_prefix);
    val[U("external_currency_spelled_suffix")] = ModelBase::toJson(m_External_currency_spelled_suffix);
    

    return val;
}

void Inline_response_200_1::fromJson(web::json::value& val)
{
    setId(ModelBase::int32_tFromJson(val[U("id")]));
    setDescription(ModelBase::stringFromJson(val[U("description")]));
    setBillingGroupId(ModelBase::int32_tFromJson(val[U("billing_group_id")]));
    setBlocked(ModelBase::stringFromJson(val[U("blocked")]));
    if(val.has_field(U("blocked_date")))
    {
        setBlockedDate(ModelBase::stringFromJson(val[U("blocked_date")]));
                
    }
    if(val.has_field(U("blocked_reason")))
    {
        setBlockedReason(ModelBase::stringFromJson(val[U("blocked_reason")]));
                
    }
    std::shared_ptr<Number> newCredit_limit(0.0);
    newCredit_limit->fromJson(val[U("credit_limit")]);
    setCreditLimit( newItem );
    setPlanId(ModelBase::int32_tFromJson(val[U("plan_id")]));
    setPeriodId(ModelBase::int32_tFromJson(val[U("period_id")]));
    setContractType(ModelBase::int32_tFromJson(val[U("contract_type")]));
    setClientId(ModelBase::int32_tFromJson(val[U("client_id")]));
    setClientLogin(ModelBase::stringFromJson(val[U("client_login")]));
    setContractId(ModelBase::stringFromJson(val[U("contract_id")]));
    setNameRus(ModelBase::stringFromJson(val[U("name_rus")]));
    setNameEng(ModelBase::stringFromJson(val[U("name_eng")]));
    setEmail(ModelBase::stringFromJson(val[U("email")]));
    setStatSites(ModelBase::int32_tFromJson(val[U("stat_sites")]));
    setStatSizeMb(ModelBase::int32_tFromJson(val[U("stat_size_mb")]));
    setStatEmails(ModelBase::int32_tFromJson(val[U("stat_emails")]));
    setStatMysqls(ModelBase::int32_tFromJson(val[U("stat_mysqls")]));
    setStatTech(ModelBase::int32_tFromJson(val[U("stat_tech")]));
    setStatNicd(ModelBase::int32_tFromJson(val[U("stat_nicd")]));
    setStatAccessDynamic(ModelBase::int32_tFromJson(val[U("stat_access_dynamic")]));
    setStatAccessStatic(ModelBase::int32_tFromJson(val[U("stat_access_static")]));
    setStatAccessTraffic(ModelBase::int32_tFromJson(val[U("stat_access_traffic")]));
    setStatPaidTotal(ModelBase::int32_tFromJson(val[U("stat_paid_total")]));
    setStatVdsSize(ModelBase::int32_tFromJson(val[U("stat_vds_size")]));
    setPlanName(ModelBase::stringFromJson(val[U("__plan_name")]));
    setPeriodMonths(ModelBase::int32_tFromJson(val[U("__period_months")]));
    std::shared_ptr<Number> new__period_price(0.0);
    new__period_price->fromJson(val[U("__period_price")]);
    setPeriodPrice( newItem );
    setExpires(ModelBase::stringFromJson(val[U("__expires")]));
    setExternalCurrencySpelledPrefix(ModelBase::stringFromJson(val[U("external_currency_spelled_prefix")]));
    setExternalCurrencySpelledSuffix(ModelBase::stringFromJson(val[U("external_currency_spelled_suffix")]));
    
}

void Inline_response_200_1::toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix) const
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

	multipart->add(ModelBase::toHttpContent(namePrefix + U("id"), m_Id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("description"), m_Description));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("billing_group_id"), m_Billing_group_id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("blocked"), m_Blocked));
    if(m_Blocked_dateIsSet)
    {
        multipart->add(ModelBase::toHttpContent(namePrefix + U("blocked_date"), m_Blocked_date));
                
    }
    if(m_Blocked_reasonIsSet)
    {
        multipart->add(ModelBase::toHttpContent(namePrefix + U("blocked_reason"), m_Blocked_reason));
                
    }
    m_Credit_limit->toMultipart(multipart, U("credit_limit."));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("plan_id"), m_Plan_id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("period_id"), m_Period_id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("contract_type"), m_Contract_type));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("client_id"), m_Client_id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("client_login"), m_Client_login));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("contract_id"), m_Contract_id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("name_rus"), m_Name_rus));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("name_eng"), m_Name_eng));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("email"), m_Email));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_sites"), m_Stat_sites));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_size_mb"), m_Stat_size_mb));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_emails"), m_Stat_emails));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_mysqls"), m_Stat_mysqls));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_tech"), m_Stat_tech));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_nicd"), m_Stat_nicd));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_access_dynamic"), m_Stat_access_dynamic));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_access_static"), m_Stat_access_static));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_access_traffic"), m_Stat_access_traffic));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_paid_total"), m_Stat_paid_total));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_vds_size"), m_Stat_vds_size));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("__plan_name"), m___plan_name));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("__period_months"), m___period_months));
    m___period_price->toMultipart(multipart, U("__period_price."));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("__expires"), m___expires));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("external_currency_spelled_prefix"), m_External_currency_spelled_prefix));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("external_currency_spelled_suffix"), m_External_currency_spelled_suffix));
    
}

void Inline_response_200_1::fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix)
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

    setId(ModelBase::int32_tFromHttpContent(multipart->getContent(U("id"))));
    setDescription(ModelBase::stringFromHttpContent(multipart->getContent(U("description"))));
    setBillingGroupId(ModelBase::int32_tFromHttpContent(multipart->getContent(U("billing_group_id"))));
    setBlocked(ModelBase::stringFromHttpContent(multipart->getContent(U("blocked"))));
    if(multipart->hasContent(U("blocked_date")))
    {
        setBlockedDate(ModelBase::stringFromHttpContent(multipart->getContent(U("blocked_date"))));
                
    }
    if(multipart->hasContent(U("blocked_reason")))
    {
        setBlockedReason(ModelBase::stringFromHttpContent(multipart->getContent(U("blocked_reason"))));
                
    }
    std::shared_ptr<Number> newCredit_limit(0.0);
    newCredit_limit->fromMultiPart(multipart, U("credit_limit."));
    setCreditLimit( newCredit_limit );
    setPlanId(ModelBase::int32_tFromHttpContent(multipart->getContent(U("plan_id"))));
    setPeriodId(ModelBase::int32_tFromHttpContent(multipart->getContent(U("period_id"))));
    setContractType(ModelBase::int32_tFromHttpContent(multipart->getContent(U("contract_type"))));
    setClientId(ModelBase::int32_tFromHttpContent(multipart->getContent(U("client_id"))));
    setClientLogin(ModelBase::stringFromHttpContent(multipart->getContent(U("client_login"))));
    setContractId(ModelBase::stringFromHttpContent(multipart->getContent(U("contract_id"))));
    setNameRus(ModelBase::stringFromHttpContent(multipart->getContent(U("name_rus"))));
    setNameEng(ModelBase::stringFromHttpContent(multipart->getContent(U("name_eng"))));
    setEmail(ModelBase::stringFromHttpContent(multipart->getContent(U("email"))));
    setStatSites(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_sites"))));
    setStatSizeMb(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_size_mb"))));
    setStatEmails(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_emails"))));
    setStatMysqls(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_mysqls"))));
    setStatTech(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_tech"))));
    setStatNicd(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_nicd"))));
    setStatAccessDynamic(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_access_dynamic"))));
    setStatAccessStatic(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_access_static"))));
    setStatAccessTraffic(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_access_traffic"))));
    setStatPaidTotal(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_paid_total"))));
    setStatVdsSize(ModelBase::int32_tFromHttpContent(multipart->getContent(U("stat_vds_size"))));
    setPlanName(ModelBase::stringFromHttpContent(multipart->getContent(U("__plan_name"))));
    setPeriodMonths(ModelBase::int32_tFromHttpContent(multipart->getContent(U("__period_months"))));
    std::shared_ptr<Number> new__period_price(0.0);
    new__period_price->fromMultiPart(multipart, U("__period_price."));
    setPeriodPrice( new__period_price );
    setExpires(ModelBase::stringFromHttpContent(multipart->getContent(U("__expires"))));
    setExternalCurrencySpelledPrefix(ModelBase::stringFromHttpContent(multipart->getContent(U("external_currency_spelled_prefix"))));
    setExternalCurrencySpelledSuffix(ModelBase::stringFromHttpContent(multipart->getContent(U("external_currency_spelled_suffix"))));
    
}
    
   
int32_t Inline_response_200_1::getId() const
{
	return m_Id;
}
void Inline_response_200_1::setId(int32_t value)
{
	m_Id = value;
    
}
utility::string_t Inline_response_200_1::getDescription() const
{
	return m_Description;
}
void Inline_response_200_1::setDescription(utility::string_t value)
{
	m_Description = value;
    
}
int32_t Inline_response_200_1::getBillingGroupId() const
{
	return m_Billing_group_id;
}
void Inline_response_200_1::setBillingGroupId(int32_t value)
{
	m_Billing_group_id = value;
    
}
utility::string_t Inline_response_200_1::getBlocked() const
{
	return m_Blocked;
}
void Inline_response_200_1::setBlocked(utility::string_t value)
{
	m_Blocked = value;
    
}
utility::string_t Inline_response_200_1::getBlockedDate() const
{
	return m_Blocked_date;
}
void Inline_response_200_1::setBlockedDate(utility::string_t value)
{
	m_Blocked_date = value;
    m_Blocked_dateIsSet = true;
}
bool Inline_response_200_1::blocked_dateIsSet() const
{
    return m_Blocked_dateIsSet;
}
void Inline_response_200_1::unsetBlocked_date() 
{
    m_Blocked_dateIsSet = false;
}
utility::string_t Inline_response_200_1::getBlockedReason() const
{
	return m_Blocked_reason;
}
void Inline_response_200_1::setBlockedReason(utility::string_t value)
{
	m_Blocked_reason = value;
    m_Blocked_reasonIsSet = true;
}
bool Inline_response_200_1::blocked_reasonIsSet() const
{
    return m_Blocked_reasonIsSet;
}
void Inline_response_200_1::unsetBlocked_reason() 
{
    m_Blocked_reasonIsSet = false;
}
std::shared_ptr<Number> Inline_response_200_1::getCreditLimit() const
{
	return m_Credit_limit;
}
void Inline_response_200_1::setCreditLimit(std::shared_ptr<Number> value)
{
	m_Credit_limit = value;
    
}
int32_t Inline_response_200_1::getPlanId() const
{
	return m_Plan_id;
}
void Inline_response_200_1::setPlanId(int32_t value)
{
	m_Plan_id = value;
    
}
int32_t Inline_response_200_1::getPeriodId() const
{
	return m_Period_id;
}
void Inline_response_200_1::setPeriodId(int32_t value)
{
	m_Period_id = value;
    
}
int32_t Inline_response_200_1::getContractType() const
{
	return m_Contract_type;
}
void Inline_response_200_1::setContractType(int32_t value)
{
	m_Contract_type = value;
    
}
int32_t Inline_response_200_1::getClientId() const
{
	return m_Client_id;
}
void Inline_response_200_1::setClientId(int32_t value)
{
	m_Client_id = value;
    
}
utility::string_t Inline_response_200_1::getClientLogin() const
{
	return m_Client_login;
}
void Inline_response_200_1::setClientLogin(utility::string_t value)
{
	m_Client_login = value;
    
}
utility::string_t Inline_response_200_1::getContractId() const
{
	return m_Contract_id;
}
void Inline_response_200_1::setContractId(utility::string_t value)
{
	m_Contract_id = value;
    
}
utility::string_t Inline_response_200_1::getNameRus() const
{
	return m_Name_rus;
}
void Inline_response_200_1::setNameRus(utility::string_t value)
{
	m_Name_rus = value;
    
}
utility::string_t Inline_response_200_1::getNameEng() const
{
	return m_Name_eng;
}
void Inline_response_200_1::setNameEng(utility::string_t value)
{
	m_Name_eng = value;
    
}
utility::string_t Inline_response_200_1::getEmail() const
{
	return m_Email;
}
void Inline_response_200_1::setEmail(utility::string_t value)
{
	m_Email = value;
    
}
int32_t Inline_response_200_1::getStatSites() const
{
	return m_Stat_sites;
}
void Inline_response_200_1::setStatSites(int32_t value)
{
	m_Stat_sites = value;
    
}
int32_t Inline_response_200_1::getStatSizeMb() const
{
	return m_Stat_size_mb;
}
void Inline_response_200_1::setStatSizeMb(int32_t value)
{
	m_Stat_size_mb = value;
    
}
int32_t Inline_response_200_1::getStatEmails() const
{
	return m_Stat_emails;
}
void Inline_response_200_1::setStatEmails(int32_t value)
{
	m_Stat_emails = value;
    
}
int32_t Inline_response_200_1::getStatMysqls() const
{
	return m_Stat_mysqls;
}
void Inline_response_200_1::setStatMysqls(int32_t value)
{
	m_Stat_mysqls = value;
    
}
int32_t Inline_response_200_1::getStatTech() const
{
	return m_Stat_tech;
}
void Inline_response_200_1::setStatTech(int32_t value)
{
	m_Stat_tech = value;
    
}
int32_t Inline_response_200_1::getStatNicd() const
{
	return m_Stat_nicd;
}
void Inline_response_200_1::setStatNicd(int32_t value)
{
	m_Stat_nicd = value;
    
}
int32_t Inline_response_200_1::getStatAccessDynamic() const
{
	return m_Stat_access_dynamic;
}
void Inline_response_200_1::setStatAccessDynamic(int32_t value)
{
	m_Stat_access_dynamic = value;
    
}
int32_t Inline_response_200_1::getStatAccessStatic() const
{
	return m_Stat_access_static;
}
void Inline_response_200_1::setStatAccessStatic(int32_t value)
{
	m_Stat_access_static = value;
    
}
int32_t Inline_response_200_1::getStatAccessTraffic() const
{
	return m_Stat_access_traffic;
}
void Inline_response_200_1::setStatAccessTraffic(int32_t value)
{
	m_Stat_access_traffic = value;
    
}
int32_t Inline_response_200_1::getStatPaidTotal() const
{
	return m_Stat_paid_total;
}
void Inline_response_200_1::setStatPaidTotal(int32_t value)
{
	m_Stat_paid_total = value;
    
}
int32_t Inline_response_200_1::getStatVdsSize() const
{
	return m_Stat_vds_size;
}
void Inline_response_200_1::setStatVdsSize(int32_t value)
{
	m_Stat_vds_size = value;
    
}
utility::string_t Inline_response_200_1::getPlanName() const
{
	return m___plan_name;
}
void Inline_response_200_1::setPlanName(utility::string_t value)
{
	m___plan_name = value;
    
}
int32_t Inline_response_200_1::getPeriodMonths() const
{
	return m___period_months;
}
void Inline_response_200_1::setPeriodMonths(int32_t value)
{
	m___period_months = value;
    
}
std::shared_ptr<Number> Inline_response_200_1::getPeriodPrice() const
{
	return m___period_price;
}
void Inline_response_200_1::setPeriodPrice(std::shared_ptr<Number> value)
{
	m___period_price = value;
    
}
utility::string_t Inline_response_200_1::getExpires() const
{
	return m___expires;
}
void Inline_response_200_1::setExpires(utility::string_t value)
{
	m___expires = value;
    
}
utility::string_t Inline_response_200_1::getExternalCurrencySpelledPrefix() const
{
	return m_External_currency_spelled_prefix;
}
void Inline_response_200_1::setExternalCurrencySpelledPrefix(utility::string_t value)
{
	m_External_currency_spelled_prefix = value;
    
}
utility::string_t Inline_response_200_1::getExternalCurrencySpelledSuffix() const
{
	return m_External_currency_spelled_suffix;
}
void Inline_response_200_1::setExternalCurrencySpelledSuffix(utility::string_t value)
{
	m_External_currency_spelled_suffix = value;
    
}

}
}
}
}

