/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * Inline_response_200_1.h
 * 
 * 
 */

#ifndef Inline_response_200_1_H_
#define Inline_response_200_1_H_


#include "ModelBase.h"

#include "Number.h"
#include <cpprest/details/basic_types.h>

namespace io {
namespace swagger {
namespace client {
namespace model {

/// <summary>
/// 
/// </summary>
class  Inline_response_200_1
	: public ModelBase
{
public:
    Inline_response_200_1();
    virtual ~Inline_response_200_1();

	/////////////////////////////////////////////
	/// ModelBase overrides
	
    void validate() override;

    web::json::value toJson() const override;
    void fromJson(web::json::value& json) override;

    void toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& namePrefix) const override;
    void fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& namePrefix) override;
    
 	/////////////////////////////////////////////
	/// Inline_response_200_1 members
	   
    /// <summary>
    /// Идентификатор аккаунта
    /// </summary>
    int32_t getId() const;
    void setId(int32_t value);
        /// <summary>
    /// Описание аккаунта
    /// </summary>
    utility::string_t getDescription() const;
    void setDescription(utility::string_t value);
        /// <summary>
    /// Идентификатор тарифной группы
    /// </summary>
    int32_t getBillingGroupId() const;
    void setBillingGroupId(int32_t value);
        /// <summary>
    /// Аккаунт заблокирован, если true
    /// </summary>
    utility::string_t getBlocked() const;
    void setBlocked(utility::string_t value);
        /// <summary>
    /// Дата блокировки
    /// </summary>
    utility::string_t getBlockedDate() const;
    void setBlockedDate(utility::string_t value);
    bool blocked_dateIsSet() const;
    void unsetBlocked_date();
    /// <summary>
    /// Причина блокировки
    /// </summary>
    utility::string_t getBlockedReason() const;
    void setBlockedReason(utility::string_t value);
    bool blocked_reasonIsSet() const;
    void unsetBlocked_reason();
    /// <summary>
    /// Ограничение суммы на работу в аванс
    /// </summary>
    std::shared_ptr<Number> getCreditLimit() const;
    void setCreditLimit(std::shared_ptr<Number> value);
        /// <summary>
    /// Идентификатор тарифа
    /// </summary>
    int32_t getPlanId() const;
    void setPlanId(int32_t value);
        /// <summary>
    /// Идентификатор тарифа (периода)
    /// </summary>
    int32_t getPeriodId() const;
    void setPeriodId(int32_t value);
        /// <summary>
    /// Тип договора
    /// </summary>
    int32_t getContractType() const;
    void setContractType(int32_t value);
        /// <summary>
    /// 
    /// </summary>
    int32_t getClientId() const;
    void setClientId(int32_t value);
        /// <summary>
    /// Логин клиента
    /// </summary>
    utility::string_t getClientLogin() const;
    void setClientLogin(utility::string_t value);
        /// <summary>
    /// Номер договора
    /// </summary>
    utility::string_t getContractId() const;
    void setContractId(utility::string_t value);
        /// <summary>
    /// Имя клиента на русском
    /// </summary>
    utility::string_t getNameRus() const;
    void setNameRus(utility::string_t value);
        /// <summary>
    /// Имя клиента на английском
    /// </summary>
    utility::string_t getNameEng() const;
    void setNameEng(utility::string_t value);
        /// <summary>
    /// E-mail клиент
    /// </summary>
    utility::string_t getEmail() const;
    void setEmail(utility::string_t value);
        /// <summary>
    /// Количество созданных сайтов
    /// </summary>
    int32_t getStatSites() const;
    void setStatSites(int32_t value);
        /// <summary>
    /// Используемое дисковое пространство
    /// </summary>
    int32_t getStatSizeMb() const;
    void setStatSizeMb(int32_t value);
        /// <summary>
    /// Количество созданных почтовых ящиков
    /// </summary>
    int32_t getStatEmails() const;
    void setStatEmails(int32_t value);
        /// <summary>
    /// Количество баз данных MySQL
    /// </summary>
    int32_t getStatMysqls() const;
    void setStatMysqls(int32_t value);
        /// <summary>
    /// 
    /// </summary>
    int32_t getStatTech() const;
    void setStatTech(int32_t value);
        /// <summary>
    /// 
    /// </summary>
    int32_t getStatNicd() const;
    void setStatNicd(int32_t value);
        /// <summary>
    /// 
    /// </summary>
    int32_t getStatAccessDynamic() const;
    void setStatAccessDynamic(int32_t value);
        /// <summary>
    /// 
    /// </summary>
    int32_t getStatAccessStatic() const;
    void setStatAccessStatic(int32_t value);
        /// <summary>
    /// 
    /// </summary>
    int32_t getStatAccessTraffic() const;
    void setStatAccessTraffic(int32_t value);
        /// <summary>
    /// 
    /// </summary>
    int32_t getStatPaidTotal() const;
    void setStatPaidTotal(int32_t value);
        /// <summary>
    /// Размер дисков VDS
    /// </summary>
    int32_t getStatVdsSize() const;
    void setStatVdsSize(int32_t value);
        /// <summary>
    /// Название тарифного плана
    /// </summary>
    utility::string_t getPlanName() const;
    void setPlanName(utility::string_t value);
        /// <summary>
    /// Количество месяцев в оплаченном периоде
    /// </summary>
    int32_t getPeriodMonths() const;
    void setPeriodMonths(int32_t value);
        /// <summary>
    /// Стоимость оплаченного периода
    /// </summary>
    std::shared_ptr<Number> getPeriodPrice() const;
    void setPeriodPrice(std::shared_ptr<Number> value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getExpires() const;
    void setExpires(utility::string_t value);
        /// <summary>
    /// Префикс для вывода текущей валюты хостинга (например, в строке &#39;$100&#39; префиксом является &#39;$&#39;)
    /// </summary>
    utility::string_t getExternalCurrencySpelledPrefix() const;
    void setExternalCurrencySpelledPrefix(utility::string_t value);
        /// <summary>
    /// Суффикс для вывода текущей валюты хостинга (например, в строке &#39;100 руб.&#39; суффиксом является &#39; руб.&#39;
    /// </summary>
    utility::string_t getExternalCurrencySpelledSuffix() const;
    void setExternalCurrencySpelledSuffix(utility::string_t value);
        
protected:
    int32_t m_Id;
    utility::string_t m_Description;
    int32_t m_Billing_group_id;
    utility::string_t m_Blocked;
    utility::string_t m_Blocked_date;
    bool m_Blocked_dateIsSet;
utility::string_t m_Blocked_reason;
    bool m_Blocked_reasonIsSet;
std::shared_ptr<Number> m_Credit_limit;
    int32_t m_Plan_id;
    int32_t m_Period_id;
    int32_t m_Contract_type;
    int32_t m_Client_id;
    utility::string_t m_Client_login;
    utility::string_t m_Contract_id;
    utility::string_t m_Name_rus;
    utility::string_t m_Name_eng;
    utility::string_t m_Email;
    int32_t m_Stat_sites;
    int32_t m_Stat_size_mb;
    int32_t m_Stat_emails;
    int32_t m_Stat_mysqls;
    int32_t m_Stat_tech;
    int32_t m_Stat_nicd;
    int32_t m_Stat_access_dynamic;
    int32_t m_Stat_access_static;
    int32_t m_Stat_access_traffic;
    int32_t m_Stat_paid_total;
    int32_t m_Stat_vds_size;
    utility::string_t m___plan_name;
    int32_t m___period_months;
    std::shared_ptr<Number> m___period_price;
    utility::string_t m___expires;
    utility::string_t m_External_currency_spelled_prefix;
    utility::string_t m_External_currency_spelled_suffix;
    };

}
}
}
}

#endif /* Inline_response_200_1_H_ */
