/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#include "Inline_response_200_12.h"

namespace io {
namespace swagger {
namespace client {
namespace model {

Inline_response_200_12::Inline_response_200_12()
{
    m_Id = nullptr;
    m_Deleted = false;
    m_Online = false;
    m_Stopped = false;
    m_Pwd = U("");
    m_Template = U("");
    m_Type_full = U("");
    m_Physical_mac = U("");
    m_Type = U("");
    
}

Inline_response_200_12::~Inline_response_200_12()
{
}

void Inline_response_200_12::validate() 
{
    // TODO: implement validation
}

web::json::value Inline_response_200_12::toJson() const
{
    web::json::value val = web::json::value::object();
     
	val[U("id")] = ModelBase::toJson(m_Id);
    val[U("deleted")] = ModelBase::toJson(m_Deleted);
    val[U("online")] = ModelBase::toJson(m_Online);
    val[U("stopped")] = ModelBase::toJson(m_Stopped);
    val[U("pwd")] = ModelBase::toJson(m_Pwd);
    val[U("template")] = ModelBase::toJson(m_Template);
    val[U("type_full")] = ModelBase::toJson(m_Type_full);
    val[U("physical_mac")] = ModelBase::toJson(m_Physical_mac);
    val[U("type")] = ModelBase::toJson(m_Type);
    

    return val;
}

void Inline_response_200_12::fromJson(web::json::value& val)
{
    setId(ModelBase::int32_tFromJson(val[U("id")]));
    setDeleted(ModelBase::boolFromJson(val[U("deleted")]));
    setOnline(ModelBase::boolFromJson(val[U("online")]));
    setStopped(ModelBase::boolFromJson(val[U("stopped")]));
    setPwd(ModelBase::stringFromJson(val[U("pwd")]));
    setTemplate(ModelBase::stringFromJson(val[U("template")]));
    setTypeFull(ModelBase::stringFromJson(val[U("type_full")]));
    setPhysicalMac(ModelBase::stringFromJson(val[U("physical_mac")]));
    setType(ModelBase::stringFromJson(val[U("type")]));
    
}

void Inline_response_200_12::toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix) const
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

	multipart->add(ModelBase::toHttpContent(namePrefix + U("id"), m_Id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("deleted"), m_Deleted));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("online"), m_Online));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stopped"), m_Stopped));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("pwd"), m_Pwd));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("template"), m_Template));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("type_full"), m_Type_full));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("physical_mac"), m_Physical_mac));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("type"), m_Type));
    
}

void Inline_response_200_12::fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix)
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

    setId(ModelBase::int32_tFromHttpContent(multipart->getContent(U("id"))));
    setDeleted(ModelBase::boolFromHttpContent(multipart->getContent(U("deleted"))));
    setOnline(ModelBase::boolFromHttpContent(multipart->getContent(U("online"))));
    setStopped(ModelBase::boolFromHttpContent(multipart->getContent(U("stopped"))));
    setPwd(ModelBase::stringFromHttpContent(multipart->getContent(U("pwd"))));
    setTemplate(ModelBase::stringFromHttpContent(multipart->getContent(U("template"))));
    setTypeFull(ModelBase::stringFromHttpContent(multipart->getContent(U("type_full"))));
    setPhysicalMac(ModelBase::stringFromHttpContent(multipart->getContent(U("physical_mac"))));
    setType(ModelBase::stringFromHttpContent(multipart->getContent(U("type"))));
    
}
    
   
int32_t Inline_response_200_12::getId() const
{
	return m_Id;
}
void Inline_response_200_12::setId(int32_t value)
{
	m_Id = value;
    
}
bool Inline_response_200_12::getDeleted() const
{
	return m_Deleted;
}
void Inline_response_200_12::setDeleted(bool value)
{
	m_Deleted = value;
    
}
bool Inline_response_200_12::getOnline() const
{
	return m_Online;
}
void Inline_response_200_12::setOnline(bool value)
{
	m_Online = value;
    
}
bool Inline_response_200_12::getStopped() const
{
	return m_Stopped;
}
void Inline_response_200_12::setStopped(bool value)
{
	m_Stopped = value;
    
}
utility::string_t Inline_response_200_12::getPwd() const
{
	return m_Pwd;
}
void Inline_response_200_12::setPwd(utility::string_t value)
{
	m_Pwd = value;
    
}
utility::string_t Inline_response_200_12::getTemplate() const
{
	return m_Template;
}
void Inline_response_200_12::setTemplate(utility::string_t value)
{
	m_Template = value;
    
}
utility::string_t Inline_response_200_12::getTypeFull() const
{
	return m_Type_full;
}
void Inline_response_200_12::setTypeFull(utility::string_t value)
{
	m_Type_full = value;
    
}
utility::string_t Inline_response_200_12::getPhysicalMac() const
{
	return m_Physical_mac;
}
void Inline_response_200_12::setPhysicalMac(utility::string_t value)
{
	m_Physical_mac = value;
    
}
utility::string_t Inline_response_200_12::getType() const
{
	return m_Type;
}
void Inline_response_200_12::setType(utility::string_t value)
{
	m_Type = value;
    
}

}
}
}
}

