/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#include "Inline_response_200_13.h"

namespace io {
namespace swagger {
namespace client {
namespace model {

Inline_response_200_13::Inline_response_200_13()
{
    m_Type = U("");
    m_Template = U("");
    m_Popularity = nullptr;
    m_Actual_template = nullptr;
    
}

Inline_response_200_13::~Inline_response_200_13()
{
}

void Inline_response_200_13::validate() 
{
    // TODO: implement validation
}

web::json::value Inline_response_200_13::toJson() const
{
    web::json::value val = web::json::value::object();
     
	val[U("type")] = ModelBase::toJson(m_Type);
    val[U("template")] = ModelBase::toJson(m_Template);
    val[U("popularity")] = ModelBase::toJson(m_Popularity);
    val[U("actual_template")] = ModelBase::toJson(m_Actual_template);
    

    return val;
}

void Inline_response_200_13::fromJson(web::json::value& val)
{
    setType(ModelBase::stringFromJson(val[U("type")]));
    setTemplate(ModelBase::stringFromJson(val[U("template")]));
    setPopularity(ModelBase::int32_tFromJson(val[U("popularity")]));
    setActualTemplate(ModelBase::int32_tFromJson(val[U("actual_template")]));
    
}

void Inline_response_200_13::toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix) const
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

	multipart->add(ModelBase::toHttpContent(namePrefix + U("type"), m_Type));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("template"), m_Template));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("popularity"), m_Popularity));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("actual_template"), m_Actual_template));
    
}

void Inline_response_200_13::fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix)
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

    setType(ModelBase::stringFromHttpContent(multipart->getContent(U("type"))));
    setTemplate(ModelBase::stringFromHttpContent(multipart->getContent(U("template"))));
    setPopularity(ModelBase::int32_tFromHttpContent(multipart->getContent(U("popularity"))));
    setActualTemplate(ModelBase::int32_tFromHttpContent(multipart->getContent(U("actual_template"))));
    
}
    
   
utility::string_t Inline_response_200_13::getType() const
{
	return m_Type;
}
void Inline_response_200_13::setType(utility::string_t value)
{
	m_Type = value;
    
}
utility::string_t Inline_response_200_13::getTemplate() const
{
	return m_Template;
}
void Inline_response_200_13::setTemplate(utility::string_t value)
{
	m_Template = value;
    
}
int32_t Inline_response_200_13::getPopularity() const
{
	return m_Popularity;
}
void Inline_response_200_13::setPopularity(int32_t value)
{
	m_Popularity = value;
    
}
int32_t Inline_response_200_13::getActualTemplate() const
{
	return m_Actual_template;
}
void Inline_response_200_13::setActualTemplate(int32_t value)
{
	m_Actual_template = value;
    
}

}
}
}
}

