/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#include "Inline_response_200_14.h"

namespace io {
namespace swagger {
namespace client {
namespace model {

Inline_response_200_14::Inline_response_200_14()
{
    m_Id = nullptr;
    m_Status = U("");
    m_Unmovable = U("");
    m_Online = U("");
    m_Deleted = U("");
    m_Deleted_auto = U("");
    m_Deleted_dump = U("");
    m_User_id = U("");
    m_Ftp_id = U("");
    m_Dns_id = U("");
    m_Iis_id = U("");
    m_Iis_binding = U("");
    m_Iis_path = U("");
    m_Iis_comments = U("");
    m_Memo = U("");
    m_Date_reg = U("");
    m_Server = U("");
    m_Server_bak = U("");
    m_Server_aux = U("");
    m_Server_transition = U("");
    m_Server_transition_dtc = U("");
    m_Block_transfer = U("");
    m_Server_changed_time = U("");
    m_Size_amount = U("");
    m_Size_file_count = U("");
    m_Size_file_count_limit = U("");
    m_Size_date = U("");
    m_Size_priority_scan = U("");
    m_Copy_logs = U("");
    m_Content_comments = U("");
    m_Content_comments_verbose = U("");
    m_Meta_save_count = U("");
    m_Base_folder = U("");
    m_Virtualhost_conf = U("");
    m_Virtualhost_server = U("");
    m_Virtualhost_server_conf = U("");
    m_Live_day_count = U("");
    m_Scan_date = U("");
    m_Global_transfer_count = U("");
    m_Net_limit_file = U("");
    m_Net_limit_deny_from_ip = U("");
    m_Net_limit_deny_from_agent = U("");
    m_Apache_php_pooled = U("");
    m_Apache_php_pooled_ext = U("");
    m_Apache_php_pooled_ext_auto = U("");
    m_Apache_php_pool1_only = U("");
    m_Apache_php_pool5_only = U("");
    m_Apache_ssi = U("");
    m_Bypass_security = U("");
    m_Flag_generic_exec = U("");
    m_Flag_no_www = U("");
    m_Base_folder_suffix = U("");
    m_Feedback_speed = U("");
    m_Feedback_speed_dtc = U("");
    m_Feedback_speed_feedback = U("");
    m_Unix_path_on_windows = U("");
    m_Ftp_ipfilter = U("");
    m_Ssh_ipfilter = U("");
    m_L3d_auto = U("");
    m_Awstats_primary_domain = U("");
    m_Sharepoint_mode = U("");
    m_Sharepoint_mode_pending = U("");
    m_Apache_generic_pool_port = U("");
    m_Mongrel_environment = U("");
    m_Flag_free = U("");
    m_Rtm_scan_date = U("");
    m_Analyze_analog = U("");
    m_Cpu_details_enabled = U("");
    m_Content_moderated_status = U("");
    m_Content_moderated_date = U("");
    m_Http_frontend_ip = U("");
    m_Http_frontend_ip_transition = U("");
    m_Cpu_limit_exceeded_date = U("");
    m_Aufs_template = U("");
    m_Options_autolimit = U("");
    m_Iis_creation_commands = U("");
    m_Iis_creation_commands_unix = U("");
    m_Thumb_date = U("");
    m_Thumb_failed = U("");
    m_Backup_stat_date = U("");
    m_Backup_date = U("");
    m_Detected_packages = U("");
    m_Stat_site_power = U("");
    m_Smtp_from = U("");
    m_Super_backup_date = U("");
    m_Backup_delta_stat_date = U("");
    m_Backup_delta_date = U("");
    m_Backup_delta_desc = U("");
    m_Alt_docroot_server = U("");
    m_Alt_docroot_path = U("");
    m_Alt_docroot_status = U("");
    m_Alt_docroot_status_cnt = U("");
    m_Alt_docroot_status_date = U("");
    m_Bind_dtc = U("");
    m_Backup_special_mode = U("");
    m_Size_check_problem = U("");
    m_Wpb_domain = U("");
    m_Wpb_uuid = U("");
    m_Wpb_status = U("");
    m_Admin_protection = U("");
    m_Size_comments = U("");
    m_Alt_docroot_ssd_req = U("");
    m_Mail_limit = U("");
    m_Mail_accept = U("");
    m_Mail_drop = U("");
    m_Ftp_name = U("");
    m_Ftp_pwd = U("");
    
}

Inline_response_200_14::~Inline_response_200_14()
{
}

void Inline_response_200_14::validate() 
{
    // TODO: implement validation
}

web::json::value Inline_response_200_14::toJson() const
{
    web::json::value val = web::json::value::object();
     
	val[U("id")] = ModelBase::toJson(m_Id);
    val[U("status")] = ModelBase::toJson(m_Status);
    val[U("unmovable")] = ModelBase::toJson(m_Unmovable);
    val[U("online")] = ModelBase::toJson(m_Online);
    val[U("deleted")] = ModelBase::toJson(m_Deleted);
    val[U("deleted_auto")] = ModelBase::toJson(m_Deleted_auto);
    val[U("deleted_dump")] = ModelBase::toJson(m_Deleted_dump);
    val[U("user_id")] = ModelBase::toJson(m_User_id);
    val[U("ftp_id")] = ModelBase::toJson(m_Ftp_id);
    val[U("dns_id")] = ModelBase::toJson(m_Dns_id);
    val[U("iis_id")] = ModelBase::toJson(m_Iis_id);
    val[U("iis_binding")] = ModelBase::toJson(m_Iis_binding);
    val[U("iis_path")] = ModelBase::toJson(m_Iis_path);
    val[U("iis_comments")] = ModelBase::toJson(m_Iis_comments);
    val[U("memo")] = ModelBase::toJson(m_Memo);
    val[U("date_reg")] = ModelBase::toJson(m_Date_reg);
    val[U("server")] = ModelBase::toJson(m_Server);
    val[U("server_bak")] = ModelBase::toJson(m_Server_bak);
    val[U("server_aux")] = ModelBase::toJson(m_Server_aux);
    val[U("server_transition")] = ModelBase::toJson(m_Server_transition);
    val[U("server_transition_dtc")] = ModelBase::toJson(m_Server_transition_dtc);
    val[U("block_transfer")] = ModelBase::toJson(m_Block_transfer);
    val[U("server_changed_time")] = ModelBase::toJson(m_Server_changed_time);
    val[U("size_amount")] = ModelBase::toJson(m_Size_amount);
    val[U("size_file_count")] = ModelBase::toJson(m_Size_file_count);
    val[U("size_file_count_limit")] = ModelBase::toJson(m_Size_file_count_limit);
    val[U("size_date")] = ModelBase::toJson(m_Size_date);
    val[U("size_priority_scan")] = ModelBase::toJson(m_Size_priority_scan);
    val[U("copy_logs")] = ModelBase::toJson(m_Copy_logs);
    val[U("content_comments")] = ModelBase::toJson(m_Content_comments);
    val[U("content_comments_verbose")] = ModelBase::toJson(m_Content_comments_verbose);
    val[U("meta_save_count")] = ModelBase::toJson(m_Meta_save_count);
    val[U("base_folder")] = ModelBase::toJson(m_Base_folder);
    val[U("virtualhost_conf")] = ModelBase::toJson(m_Virtualhost_conf);
    val[U("virtualhost_server")] = ModelBase::toJson(m_Virtualhost_server);
    val[U("virtualhost_server_conf")] = ModelBase::toJson(m_Virtualhost_server_conf);
    val[U("live_day_count")] = ModelBase::toJson(m_Live_day_count);
    val[U("scan_date")] = ModelBase::toJson(m_Scan_date);
    val[U("global_transfer_count")] = ModelBase::toJson(m_Global_transfer_count);
    val[U("net_limit_file")] = ModelBase::toJson(m_Net_limit_file);
    val[U("net_limit_deny_from_ip")] = ModelBase::toJson(m_Net_limit_deny_from_ip);
    val[U("net_limit_deny_from_agent")] = ModelBase::toJson(m_Net_limit_deny_from_agent);
    val[U("apache_php_pooled")] = ModelBase::toJson(m_Apache_php_pooled);
    val[U("apache_php_pooled_ext")] = ModelBase::toJson(m_Apache_php_pooled_ext);
    val[U("apache_php_pooled_ext_auto")] = ModelBase::toJson(m_Apache_php_pooled_ext_auto);
    val[U("apache_php_pool1_only")] = ModelBase::toJson(m_Apache_php_pool1_only);
    val[U("apache_php_pool5_only")] = ModelBase::toJson(m_Apache_php_pool5_only);
    val[U("apache_ssi")] = ModelBase::toJson(m_Apache_ssi);
    val[U("bypass_security")] = ModelBase::toJson(m_Bypass_security);
    val[U("flag_generic_exec")] = ModelBase::toJson(m_Flag_generic_exec);
    val[U("flag_no_www")] = ModelBase::toJson(m_Flag_no_www);
    val[U("base_folder_suffix")] = ModelBase::toJson(m_Base_folder_suffix);
    val[U("feedback_speed")] = ModelBase::toJson(m_Feedback_speed);
    val[U("feedback_speed_dtc")] = ModelBase::toJson(m_Feedback_speed_dtc);
    val[U("feedback_speed_feedback")] = ModelBase::toJson(m_Feedback_speed_feedback);
    val[U("unix_path_on_windows")] = ModelBase::toJson(m_Unix_path_on_windows);
    val[U("ftp_ipfilter")] = ModelBase::toJson(m_Ftp_ipfilter);
    val[U("ssh_ipfilter")] = ModelBase::toJson(m_Ssh_ipfilter);
    val[U("l3d_auto")] = ModelBase::toJson(m_L3d_auto);
    val[U("awstats_primary_domain")] = ModelBase::toJson(m_Awstats_primary_domain);
    val[U("sharepoint_mode")] = ModelBase::toJson(m_Sharepoint_mode);
    val[U("sharepoint_mode_pending")] = ModelBase::toJson(m_Sharepoint_mode_pending);
    val[U("apache_generic_pool_port")] = ModelBase::toJson(m_Apache_generic_pool_port);
    val[U("mongrel_environment")] = ModelBase::toJson(m_Mongrel_environment);
    val[U("flag_free")] = ModelBase::toJson(m_Flag_free);
    val[U("rtm_scan_date")] = ModelBase::toJson(m_Rtm_scan_date);
    val[U("analyze_analog")] = ModelBase::toJson(m_Analyze_analog);
    val[U("cpu_details_enabled")] = ModelBase::toJson(m_Cpu_details_enabled);
    val[U("content_moderated_status")] = ModelBase::toJson(m_Content_moderated_status);
    val[U("content_moderated_date")] = ModelBase::toJson(m_Content_moderated_date);
    val[U("http_frontend_ip")] = ModelBase::toJson(m_Http_frontend_ip);
    val[U("http_frontend_ip_transition")] = ModelBase::toJson(m_Http_frontend_ip_transition);
    val[U("cpu_limit_exceeded_date")] = ModelBase::toJson(m_Cpu_limit_exceeded_date);
    val[U("aufs_template")] = ModelBase::toJson(m_Aufs_template);
    val[U("options_autolimit")] = ModelBase::toJson(m_Options_autolimit);
    val[U("iis_creation_commands")] = ModelBase::toJson(m_Iis_creation_commands);
    val[U("iis_creation_commands_unix")] = ModelBase::toJson(m_Iis_creation_commands_unix);
    val[U("thumb_date")] = ModelBase::toJson(m_Thumb_date);
    val[U("thumb_failed")] = ModelBase::toJson(m_Thumb_failed);
    val[U("backup_stat_date")] = ModelBase::toJson(m_Backup_stat_date);
    val[U("backup_date")] = ModelBase::toJson(m_Backup_date);
    val[U("detected_packages")] = ModelBase::toJson(m_Detected_packages);
    val[U("stat_site_power")] = ModelBase::toJson(m_Stat_site_power);
    val[U("smtp_from")] = ModelBase::toJson(m_Smtp_from);
    val[U("super_backup_date")] = ModelBase::toJson(m_Super_backup_date);
    val[U("backup_delta_stat_date")] = ModelBase::toJson(m_Backup_delta_stat_date);
    val[U("backup_delta_date")] = ModelBase::toJson(m_Backup_delta_date);
    val[U("backup_delta_desc")] = ModelBase::toJson(m_Backup_delta_desc);
    val[U("alt_docroot_server")] = ModelBase::toJson(m_Alt_docroot_server);
    val[U("alt_docroot_path")] = ModelBase::toJson(m_Alt_docroot_path);
    val[U("alt_docroot_status")] = ModelBase::toJson(m_Alt_docroot_status);
    val[U("alt_docroot_status_cnt")] = ModelBase::toJson(m_Alt_docroot_status_cnt);
    val[U("alt_docroot_status_date")] = ModelBase::toJson(m_Alt_docroot_status_date);
    val[U("bind_dtc")] = ModelBase::toJson(m_Bind_dtc);
    val[U("backup_special_mode")] = ModelBase::toJson(m_Backup_special_mode);
    val[U("size_check_problem")] = ModelBase::toJson(m_Size_check_problem);
    val[U("wpb_domain")] = ModelBase::toJson(m_Wpb_domain);
    val[U("wpb_uuid")] = ModelBase::toJson(m_Wpb_uuid);
    val[U("wpb_status")] = ModelBase::toJson(m_Wpb_status);
    val[U("admin_protection")] = ModelBase::toJson(m_Admin_protection);
    val[U("size_comments")] = ModelBase::toJson(m_Size_comments);
    val[U("alt_docroot_ssd_req")] = ModelBase::toJson(m_Alt_docroot_ssd_req);
    val[U("mail_limit")] = ModelBase::toJson(m_Mail_limit);
    val[U("mail_accept")] = ModelBase::toJson(m_Mail_accept);
    val[U("mail_drop")] = ModelBase::toJson(m_Mail_drop);
    val[U("ftp_name")] = ModelBase::toJson(m_Ftp_name);
    val[U("ftp_pwd")] = ModelBase::toJson(m_Ftp_pwd);
    

    return val;
}

void Inline_response_200_14::fromJson(web::json::value& val)
{
    setId(ModelBase::int32_tFromJson(val[U("id")]));
    setStatus(ModelBase::stringFromJson(val[U("status")]));
    setUnmovable(ModelBase::stringFromJson(val[U("unmovable")]));
    setOnline(ModelBase::stringFromJson(val[U("online")]));
    setDeleted(ModelBase::stringFromJson(val[U("deleted")]));
    setDeletedAuto(ModelBase::stringFromJson(val[U("deleted_auto")]));
    setDeletedDump(ModelBase::stringFromJson(val[U("deleted_dump")]));
    setUserId(ModelBase::stringFromJson(val[U("user_id")]));
    setFtpId(ModelBase::stringFromJson(val[U("ftp_id")]));
    setDnsId(ModelBase::stringFromJson(val[U("dns_id")]));
    setIisId(ModelBase::stringFromJson(val[U("iis_id")]));
    setIisBinding(ModelBase::stringFromJson(val[U("iis_binding")]));
    setIisPath(ModelBase::stringFromJson(val[U("iis_path")]));
    setIisComments(ModelBase::stringFromJson(val[U("iis_comments")]));
    setMemo(ModelBase::stringFromJson(val[U("memo")]));
    setDateReg(ModelBase::stringFromJson(val[U("date_reg")]));
    setServer(ModelBase::stringFromJson(val[U("server")]));
    setServerBak(ModelBase::stringFromJson(val[U("server_bak")]));
    setServerAux(ModelBase::stringFromJson(val[U("server_aux")]));
    setServerTransition(ModelBase::stringFromJson(val[U("server_transition")]));
    setServerTransitionDtc(ModelBase::stringFromJson(val[U("server_transition_dtc")]));
    setBlockTransfer(ModelBase::stringFromJson(val[U("block_transfer")]));
    setServerChangedTime(ModelBase::stringFromJson(val[U("server_changed_time")]));
    setSizeAmount(ModelBase::stringFromJson(val[U("size_amount")]));
    setSizeFileCount(ModelBase::stringFromJson(val[U("size_file_count")]));
    setSizeFileCountLimit(ModelBase::stringFromJson(val[U("size_file_count_limit")]));
    setSizeDate(ModelBase::stringFromJson(val[U("size_date")]));
    setSizePriorityScan(ModelBase::stringFromJson(val[U("size_priority_scan")]));
    setCopyLogs(ModelBase::stringFromJson(val[U("copy_logs")]));
    setContentComments(ModelBase::stringFromJson(val[U("content_comments")]));
    setContentCommentsVerbose(ModelBase::stringFromJson(val[U("content_comments_verbose")]));
    setMetaSaveCount(ModelBase::stringFromJson(val[U("meta_save_count")]));
    setBaseFolder(ModelBase::stringFromJson(val[U("base_folder")]));
    setVirtualhostConf(ModelBase::stringFromJson(val[U("virtualhost_conf")]));
    setVirtualhostServer(ModelBase::stringFromJson(val[U("virtualhost_server")]));
    setVirtualhostServerConf(ModelBase::stringFromJson(val[U("virtualhost_server_conf")]));
    setLiveDayCount(ModelBase::stringFromJson(val[U("live_day_count")]));
    setScanDate(ModelBase::stringFromJson(val[U("scan_date")]));
    setGlobalTransferCount(ModelBase::stringFromJson(val[U("global_transfer_count")]));
    setNetLimitFile(ModelBase::stringFromJson(val[U("net_limit_file")]));
    setNetLimitDenyFromIp(ModelBase::stringFromJson(val[U("net_limit_deny_from_ip")]));
    setNetLimitDenyFromAgent(ModelBase::stringFromJson(val[U("net_limit_deny_from_agent")]));
    setApachePhpPooled(ModelBase::stringFromJson(val[U("apache_php_pooled")]));
    setApachePhpPooledExt(ModelBase::stringFromJson(val[U("apache_php_pooled_ext")]));
    setApachePhpPooledExtAuto(ModelBase::stringFromJson(val[U("apache_php_pooled_ext_auto")]));
    setApachePhpPool1Only(ModelBase::stringFromJson(val[U("apache_php_pool1_only")]));
    setApachePhpPool5Only(ModelBase::stringFromJson(val[U("apache_php_pool5_only")]));
    setApacheSsi(ModelBase::stringFromJson(val[U("apache_ssi")]));
    setBypassSecurity(ModelBase::stringFromJson(val[U("bypass_security")]));
    setFlagGenericExec(ModelBase::stringFromJson(val[U("flag_generic_exec")]));
    setFlagNoWww(ModelBase::stringFromJson(val[U("flag_no_www")]));
    setBaseFolderSuffix(ModelBase::stringFromJson(val[U("base_folder_suffix")]));
    setFeedbackSpeed(ModelBase::stringFromJson(val[U("feedback_speed")]));
    setFeedbackSpeedDtc(ModelBase::stringFromJson(val[U("feedback_speed_dtc")]));
    setFeedbackSpeedFeedback(ModelBase::stringFromJson(val[U("feedback_speed_feedback")]));
    setUnixPathOnWindows(ModelBase::stringFromJson(val[U("unix_path_on_windows")]));
    setFtpIpfilter(ModelBase::stringFromJson(val[U("ftp_ipfilter")]));
    setSshIpfilter(ModelBase::stringFromJson(val[U("ssh_ipfilter")]));
    setL3dAuto(ModelBase::stringFromJson(val[U("l3d_auto")]));
    setAwstatsPrimaryDomain(ModelBase::stringFromJson(val[U("awstats_primary_domain")]));
    setSharepointMode(ModelBase::stringFromJson(val[U("sharepoint_mode")]));
    setSharepointModePending(ModelBase::stringFromJson(val[U("sharepoint_mode_pending")]));
    setApacheGenericPoolPort(ModelBase::stringFromJson(val[U("apache_generic_pool_port")]));
    setMongrelEnvironment(ModelBase::stringFromJson(val[U("mongrel_environment")]));
    setFlagFree(ModelBase::stringFromJson(val[U("flag_free")]));
    setRtmScanDate(ModelBase::stringFromJson(val[U("rtm_scan_date")]));
    setAnalyzeAnalog(ModelBase::stringFromJson(val[U("analyze_analog")]));
    setCpuDetailsEnabled(ModelBase::stringFromJson(val[U("cpu_details_enabled")]));
    setContentModeratedStatus(ModelBase::stringFromJson(val[U("content_moderated_status")]));
    setContentModeratedDate(ModelBase::stringFromJson(val[U("content_moderated_date")]));
    setHttpFrontendIp(ModelBase::stringFromJson(val[U("http_frontend_ip")]));
    setHttpFrontendIpTransition(ModelBase::stringFromJson(val[U("http_frontend_ip_transition")]));
    setCpuLimitExceededDate(ModelBase::stringFromJson(val[U("cpu_limit_exceeded_date")]));
    setAufsTemplate(ModelBase::stringFromJson(val[U("aufs_template")]));
    setOptionsAutolimit(ModelBase::stringFromJson(val[U("options_autolimit")]));
    setIisCreationCommands(ModelBase::stringFromJson(val[U("iis_creation_commands")]));
    setIisCreationCommandsUnix(ModelBase::stringFromJson(val[U("iis_creation_commands_unix")]));
    setThumbDate(ModelBase::stringFromJson(val[U("thumb_date")]));
    setThumbFailed(ModelBase::stringFromJson(val[U("thumb_failed")]));
    setBackupStatDate(ModelBase::stringFromJson(val[U("backup_stat_date")]));
    setBackupDate(ModelBase::stringFromJson(val[U("backup_date")]));
    setDetectedPackages(ModelBase::stringFromJson(val[U("detected_packages")]));
    setStatSitePower(ModelBase::stringFromJson(val[U("stat_site_power")]));
    setSmtpFrom(ModelBase::stringFromJson(val[U("smtp_from")]));
    setSuperBackupDate(ModelBase::stringFromJson(val[U("super_backup_date")]));
    setBackupDeltaStatDate(ModelBase::stringFromJson(val[U("backup_delta_stat_date")]));
    setBackupDeltaDate(ModelBase::stringFromJson(val[U("backup_delta_date")]));
    setBackupDeltaDesc(ModelBase::stringFromJson(val[U("backup_delta_desc")]));
    setAltDocrootServer(ModelBase::stringFromJson(val[U("alt_docroot_server")]));
    setAltDocrootPath(ModelBase::stringFromJson(val[U("alt_docroot_path")]));
    setAltDocrootStatus(ModelBase::stringFromJson(val[U("alt_docroot_status")]));
    setAltDocrootStatusCnt(ModelBase::stringFromJson(val[U("alt_docroot_status_cnt")]));
    setAltDocrootStatusDate(ModelBase::stringFromJson(val[U("alt_docroot_status_date")]));
    setBindDtc(ModelBase::stringFromJson(val[U("bind_dtc")]));
    setBackupSpecialMode(ModelBase::stringFromJson(val[U("backup_special_mode")]));
    setSizeCheckProblem(ModelBase::stringFromJson(val[U("size_check_problem")]));
    setWpbDomain(ModelBase::stringFromJson(val[U("wpb_domain")]));
    setWpbUuid(ModelBase::stringFromJson(val[U("wpb_uuid")]));
    setWpbStatus(ModelBase::stringFromJson(val[U("wpb_status")]));
    setAdminProtection(ModelBase::stringFromJson(val[U("admin_protection")]));
    setSizeComments(ModelBase::stringFromJson(val[U("size_comments")]));
    setAltDocrootSsdReq(ModelBase::stringFromJson(val[U("alt_docroot_ssd_req")]));
    setMailLimit(ModelBase::stringFromJson(val[U("mail_limit")]));
    setMailAccept(ModelBase::stringFromJson(val[U("mail_accept")]));
    setMailDrop(ModelBase::stringFromJson(val[U("mail_drop")]));
    setFtpName(ModelBase::stringFromJson(val[U("ftp_name")]));
    setFtpPwd(ModelBase::stringFromJson(val[U("ftp_pwd")]));
    
}

void Inline_response_200_14::toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix) const
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

	multipart->add(ModelBase::toHttpContent(namePrefix + U("id"), m_Id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("status"), m_Status));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("unmovable"), m_Unmovable));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("online"), m_Online));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("deleted"), m_Deleted));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("deleted_auto"), m_Deleted_auto));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("deleted_dump"), m_Deleted_dump));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("user_id"), m_User_id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("ftp_id"), m_Ftp_id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("dns_id"), m_Dns_id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("iis_id"), m_Iis_id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("iis_binding"), m_Iis_binding));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("iis_path"), m_Iis_path));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("iis_comments"), m_Iis_comments));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("memo"), m_Memo));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("date_reg"), m_Date_reg));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("server"), m_Server));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("server_bak"), m_Server_bak));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("server_aux"), m_Server_aux));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("server_transition"), m_Server_transition));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("server_transition_dtc"), m_Server_transition_dtc));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("block_transfer"), m_Block_transfer));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("server_changed_time"), m_Server_changed_time));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("size_amount"), m_Size_amount));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("size_file_count"), m_Size_file_count));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("size_file_count_limit"), m_Size_file_count_limit));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("size_date"), m_Size_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("size_priority_scan"), m_Size_priority_scan));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("copy_logs"), m_Copy_logs));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("content_comments"), m_Content_comments));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("content_comments_verbose"), m_Content_comments_verbose));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("meta_save_count"), m_Meta_save_count));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("base_folder"), m_Base_folder));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("virtualhost_conf"), m_Virtualhost_conf));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("virtualhost_server"), m_Virtualhost_server));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("virtualhost_server_conf"), m_Virtualhost_server_conf));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("live_day_count"), m_Live_day_count));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("scan_date"), m_Scan_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("global_transfer_count"), m_Global_transfer_count));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("net_limit_file"), m_Net_limit_file));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("net_limit_deny_from_ip"), m_Net_limit_deny_from_ip));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("net_limit_deny_from_agent"), m_Net_limit_deny_from_agent));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("apache_php_pooled"), m_Apache_php_pooled));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("apache_php_pooled_ext"), m_Apache_php_pooled_ext));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("apache_php_pooled_ext_auto"), m_Apache_php_pooled_ext_auto));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("apache_php_pool1_only"), m_Apache_php_pool1_only));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("apache_php_pool5_only"), m_Apache_php_pool5_only));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("apache_ssi"), m_Apache_ssi));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("bypass_security"), m_Bypass_security));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("flag_generic_exec"), m_Flag_generic_exec));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("flag_no_www"), m_Flag_no_www));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("base_folder_suffix"), m_Base_folder_suffix));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("feedback_speed"), m_Feedback_speed));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("feedback_speed_dtc"), m_Feedback_speed_dtc));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("feedback_speed_feedback"), m_Feedback_speed_feedback));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("unix_path_on_windows"), m_Unix_path_on_windows));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("ftp_ipfilter"), m_Ftp_ipfilter));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("ssh_ipfilter"), m_Ssh_ipfilter));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("l3d_auto"), m_L3d_auto));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("awstats_primary_domain"), m_Awstats_primary_domain));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("sharepoint_mode"), m_Sharepoint_mode));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("sharepoint_mode_pending"), m_Sharepoint_mode_pending));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("apache_generic_pool_port"), m_Apache_generic_pool_port));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("mongrel_environment"), m_Mongrel_environment));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("flag_free"), m_Flag_free));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("rtm_scan_date"), m_Rtm_scan_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("analyze_analog"), m_Analyze_analog));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("cpu_details_enabled"), m_Cpu_details_enabled));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("content_moderated_status"), m_Content_moderated_status));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("content_moderated_date"), m_Content_moderated_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("http_frontend_ip"), m_Http_frontend_ip));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("http_frontend_ip_transition"), m_Http_frontend_ip_transition));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("cpu_limit_exceeded_date"), m_Cpu_limit_exceeded_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("aufs_template"), m_Aufs_template));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("options_autolimit"), m_Options_autolimit));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("iis_creation_commands"), m_Iis_creation_commands));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("iis_creation_commands_unix"), m_Iis_creation_commands_unix));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("thumb_date"), m_Thumb_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("thumb_failed"), m_Thumb_failed));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("backup_stat_date"), m_Backup_stat_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("backup_date"), m_Backup_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("detected_packages"), m_Detected_packages));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("stat_site_power"), m_Stat_site_power));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("smtp_from"), m_Smtp_from));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("super_backup_date"), m_Super_backup_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("backup_delta_stat_date"), m_Backup_delta_stat_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("backup_delta_date"), m_Backup_delta_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("backup_delta_desc"), m_Backup_delta_desc));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("alt_docroot_server"), m_Alt_docroot_server));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("alt_docroot_path"), m_Alt_docroot_path));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("alt_docroot_status"), m_Alt_docroot_status));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("alt_docroot_status_cnt"), m_Alt_docroot_status_cnt));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("alt_docroot_status_date"), m_Alt_docroot_status_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("bind_dtc"), m_Bind_dtc));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("backup_special_mode"), m_Backup_special_mode));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("size_check_problem"), m_Size_check_problem));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("wpb_domain"), m_Wpb_domain));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("wpb_uuid"), m_Wpb_uuid));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("wpb_status"), m_Wpb_status));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("admin_protection"), m_Admin_protection));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("size_comments"), m_Size_comments));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("alt_docroot_ssd_req"), m_Alt_docroot_ssd_req));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("mail_limit"), m_Mail_limit));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("mail_accept"), m_Mail_accept));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("mail_drop"), m_Mail_drop));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("ftp_name"), m_Ftp_name));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("ftp_pwd"), m_Ftp_pwd));
    
}

void Inline_response_200_14::fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix)
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

    setId(ModelBase::int32_tFromHttpContent(multipart->getContent(U("id"))));
    setStatus(ModelBase::stringFromHttpContent(multipart->getContent(U("status"))));
    setUnmovable(ModelBase::stringFromHttpContent(multipart->getContent(U("unmovable"))));
    setOnline(ModelBase::stringFromHttpContent(multipart->getContent(U("online"))));
    setDeleted(ModelBase::stringFromHttpContent(multipart->getContent(U("deleted"))));
    setDeletedAuto(ModelBase::stringFromHttpContent(multipart->getContent(U("deleted_auto"))));
    setDeletedDump(ModelBase::stringFromHttpContent(multipart->getContent(U("deleted_dump"))));
    setUserId(ModelBase::stringFromHttpContent(multipart->getContent(U("user_id"))));
    setFtpId(ModelBase::stringFromHttpContent(multipart->getContent(U("ftp_id"))));
    setDnsId(ModelBase::stringFromHttpContent(multipart->getContent(U("dns_id"))));
    setIisId(ModelBase::stringFromHttpContent(multipart->getContent(U("iis_id"))));
    setIisBinding(ModelBase::stringFromHttpContent(multipart->getContent(U("iis_binding"))));
    setIisPath(ModelBase::stringFromHttpContent(multipart->getContent(U("iis_path"))));
    setIisComments(ModelBase::stringFromHttpContent(multipart->getContent(U("iis_comments"))));
    setMemo(ModelBase::stringFromHttpContent(multipart->getContent(U("memo"))));
    setDateReg(ModelBase::stringFromHttpContent(multipart->getContent(U("date_reg"))));
    setServer(ModelBase::stringFromHttpContent(multipart->getContent(U("server"))));
    setServerBak(ModelBase::stringFromHttpContent(multipart->getContent(U("server_bak"))));
    setServerAux(ModelBase::stringFromHttpContent(multipart->getContent(U("server_aux"))));
    setServerTransition(ModelBase::stringFromHttpContent(multipart->getContent(U("server_transition"))));
    setServerTransitionDtc(ModelBase::stringFromHttpContent(multipart->getContent(U("server_transition_dtc"))));
    setBlockTransfer(ModelBase::stringFromHttpContent(multipart->getContent(U("block_transfer"))));
    setServerChangedTime(ModelBase::stringFromHttpContent(multipart->getContent(U("server_changed_time"))));
    setSizeAmount(ModelBase::stringFromHttpContent(multipart->getContent(U("size_amount"))));
    setSizeFileCount(ModelBase::stringFromHttpContent(multipart->getContent(U("size_file_count"))));
    setSizeFileCountLimit(ModelBase::stringFromHttpContent(multipart->getContent(U("size_file_count_limit"))));
    setSizeDate(ModelBase::stringFromHttpContent(multipart->getContent(U("size_date"))));
    setSizePriorityScan(ModelBase::stringFromHttpContent(multipart->getContent(U("size_priority_scan"))));
    setCopyLogs(ModelBase::stringFromHttpContent(multipart->getContent(U("copy_logs"))));
    setContentComments(ModelBase::stringFromHttpContent(multipart->getContent(U("content_comments"))));
    setContentCommentsVerbose(ModelBase::stringFromHttpContent(multipart->getContent(U("content_comments_verbose"))));
    setMetaSaveCount(ModelBase::stringFromHttpContent(multipart->getContent(U("meta_save_count"))));
    setBaseFolder(ModelBase::stringFromHttpContent(multipart->getContent(U("base_folder"))));
    setVirtualhostConf(ModelBase::stringFromHttpContent(multipart->getContent(U("virtualhost_conf"))));
    setVirtualhostServer(ModelBase::stringFromHttpContent(multipart->getContent(U("virtualhost_server"))));
    setVirtualhostServerConf(ModelBase::stringFromHttpContent(multipart->getContent(U("virtualhost_server_conf"))));
    setLiveDayCount(ModelBase::stringFromHttpContent(multipart->getContent(U("live_day_count"))));
    setScanDate(ModelBase::stringFromHttpContent(multipart->getContent(U("scan_date"))));
    setGlobalTransferCount(ModelBase::stringFromHttpContent(multipart->getContent(U("global_transfer_count"))));
    setNetLimitFile(ModelBase::stringFromHttpContent(multipart->getContent(U("net_limit_file"))));
    setNetLimitDenyFromIp(ModelBase::stringFromHttpContent(multipart->getContent(U("net_limit_deny_from_ip"))));
    setNetLimitDenyFromAgent(ModelBase::stringFromHttpContent(multipart->getContent(U("net_limit_deny_from_agent"))));
    setApachePhpPooled(ModelBase::stringFromHttpContent(multipart->getContent(U("apache_php_pooled"))));
    setApachePhpPooledExt(ModelBase::stringFromHttpContent(multipart->getContent(U("apache_php_pooled_ext"))));
    setApachePhpPooledExtAuto(ModelBase::stringFromHttpContent(multipart->getContent(U("apache_php_pooled_ext_auto"))));
    setApachePhpPool1Only(ModelBase::stringFromHttpContent(multipart->getContent(U("apache_php_pool1_only"))));
    setApachePhpPool5Only(ModelBase::stringFromHttpContent(multipart->getContent(U("apache_php_pool5_only"))));
    setApacheSsi(ModelBase::stringFromHttpContent(multipart->getContent(U("apache_ssi"))));
    setBypassSecurity(ModelBase::stringFromHttpContent(multipart->getContent(U("bypass_security"))));
    setFlagGenericExec(ModelBase::stringFromHttpContent(multipart->getContent(U("flag_generic_exec"))));
    setFlagNoWww(ModelBase::stringFromHttpContent(multipart->getContent(U("flag_no_www"))));
    setBaseFolderSuffix(ModelBase::stringFromHttpContent(multipart->getContent(U("base_folder_suffix"))));
    setFeedbackSpeed(ModelBase::stringFromHttpContent(multipart->getContent(U("feedback_speed"))));
    setFeedbackSpeedDtc(ModelBase::stringFromHttpContent(multipart->getContent(U("feedback_speed_dtc"))));
    setFeedbackSpeedFeedback(ModelBase::stringFromHttpContent(multipart->getContent(U("feedback_speed_feedback"))));
    setUnixPathOnWindows(ModelBase::stringFromHttpContent(multipart->getContent(U("unix_path_on_windows"))));
    setFtpIpfilter(ModelBase::stringFromHttpContent(multipart->getContent(U("ftp_ipfilter"))));
    setSshIpfilter(ModelBase::stringFromHttpContent(multipart->getContent(U("ssh_ipfilter"))));
    setL3dAuto(ModelBase::stringFromHttpContent(multipart->getContent(U("l3d_auto"))));
    setAwstatsPrimaryDomain(ModelBase::stringFromHttpContent(multipart->getContent(U("awstats_primary_domain"))));
    setSharepointMode(ModelBase::stringFromHttpContent(multipart->getContent(U("sharepoint_mode"))));
    setSharepointModePending(ModelBase::stringFromHttpContent(multipart->getContent(U("sharepoint_mode_pending"))));
    setApacheGenericPoolPort(ModelBase::stringFromHttpContent(multipart->getContent(U("apache_generic_pool_port"))));
    setMongrelEnvironment(ModelBase::stringFromHttpContent(multipart->getContent(U("mongrel_environment"))));
    setFlagFree(ModelBase::stringFromHttpContent(multipart->getContent(U("flag_free"))));
    setRtmScanDate(ModelBase::stringFromHttpContent(multipart->getContent(U("rtm_scan_date"))));
    setAnalyzeAnalog(ModelBase::stringFromHttpContent(multipart->getContent(U("analyze_analog"))));
    setCpuDetailsEnabled(ModelBase::stringFromHttpContent(multipart->getContent(U("cpu_details_enabled"))));
    setContentModeratedStatus(ModelBase::stringFromHttpContent(multipart->getContent(U("content_moderated_status"))));
    setContentModeratedDate(ModelBase::stringFromHttpContent(multipart->getContent(U("content_moderated_date"))));
    setHttpFrontendIp(ModelBase::stringFromHttpContent(multipart->getContent(U("http_frontend_ip"))));
    setHttpFrontendIpTransition(ModelBase::stringFromHttpContent(multipart->getContent(U("http_frontend_ip_transition"))));
    setCpuLimitExceededDate(ModelBase::stringFromHttpContent(multipart->getContent(U("cpu_limit_exceeded_date"))));
    setAufsTemplate(ModelBase::stringFromHttpContent(multipart->getContent(U("aufs_template"))));
    setOptionsAutolimit(ModelBase::stringFromHttpContent(multipart->getContent(U("options_autolimit"))));
    setIisCreationCommands(ModelBase::stringFromHttpContent(multipart->getContent(U("iis_creation_commands"))));
    setIisCreationCommandsUnix(ModelBase::stringFromHttpContent(multipart->getContent(U("iis_creation_commands_unix"))));
    setThumbDate(ModelBase::stringFromHttpContent(multipart->getContent(U("thumb_date"))));
    setThumbFailed(ModelBase::stringFromHttpContent(multipart->getContent(U("thumb_failed"))));
    setBackupStatDate(ModelBase::stringFromHttpContent(multipart->getContent(U("backup_stat_date"))));
    setBackupDate(ModelBase::stringFromHttpContent(multipart->getContent(U("backup_date"))));
    setDetectedPackages(ModelBase::stringFromHttpContent(multipart->getContent(U("detected_packages"))));
    setStatSitePower(ModelBase::stringFromHttpContent(multipart->getContent(U("stat_site_power"))));
    setSmtpFrom(ModelBase::stringFromHttpContent(multipart->getContent(U("smtp_from"))));
    setSuperBackupDate(ModelBase::stringFromHttpContent(multipart->getContent(U("super_backup_date"))));
    setBackupDeltaStatDate(ModelBase::stringFromHttpContent(multipart->getContent(U("backup_delta_stat_date"))));
    setBackupDeltaDate(ModelBase::stringFromHttpContent(multipart->getContent(U("backup_delta_date"))));
    setBackupDeltaDesc(ModelBase::stringFromHttpContent(multipart->getContent(U("backup_delta_desc"))));
    setAltDocrootServer(ModelBase::stringFromHttpContent(multipart->getContent(U("alt_docroot_server"))));
    setAltDocrootPath(ModelBase::stringFromHttpContent(multipart->getContent(U("alt_docroot_path"))));
    setAltDocrootStatus(ModelBase::stringFromHttpContent(multipart->getContent(U("alt_docroot_status"))));
    setAltDocrootStatusCnt(ModelBase::stringFromHttpContent(multipart->getContent(U("alt_docroot_status_cnt"))));
    setAltDocrootStatusDate(ModelBase::stringFromHttpContent(multipart->getContent(U("alt_docroot_status_date"))));
    setBindDtc(ModelBase::stringFromHttpContent(multipart->getContent(U("bind_dtc"))));
    setBackupSpecialMode(ModelBase::stringFromHttpContent(multipart->getContent(U("backup_special_mode"))));
    setSizeCheckProblem(ModelBase::stringFromHttpContent(multipart->getContent(U("size_check_problem"))));
    setWpbDomain(ModelBase::stringFromHttpContent(multipart->getContent(U("wpb_domain"))));
    setWpbUuid(ModelBase::stringFromHttpContent(multipart->getContent(U("wpb_uuid"))));
    setWpbStatus(ModelBase::stringFromHttpContent(multipart->getContent(U("wpb_status"))));
    setAdminProtection(ModelBase::stringFromHttpContent(multipart->getContent(U("admin_protection"))));
    setSizeComments(ModelBase::stringFromHttpContent(multipart->getContent(U("size_comments"))));
    setAltDocrootSsdReq(ModelBase::stringFromHttpContent(multipart->getContent(U("alt_docroot_ssd_req"))));
    setMailLimit(ModelBase::stringFromHttpContent(multipart->getContent(U("mail_limit"))));
    setMailAccept(ModelBase::stringFromHttpContent(multipart->getContent(U("mail_accept"))));
    setMailDrop(ModelBase::stringFromHttpContent(multipart->getContent(U("mail_drop"))));
    setFtpName(ModelBase::stringFromHttpContent(multipart->getContent(U("ftp_name"))));
    setFtpPwd(ModelBase::stringFromHttpContent(multipart->getContent(U("ftp_pwd"))));
    
}
    
   
int32_t Inline_response_200_14::getId() const
{
	return m_Id;
}
void Inline_response_200_14::setId(int32_t value)
{
	m_Id = value;
    
}
utility::string_t Inline_response_200_14::getStatus() const
{
	return m_Status;
}
void Inline_response_200_14::setStatus(utility::string_t value)
{
	m_Status = value;
    
}
utility::string_t Inline_response_200_14::getUnmovable() const
{
	return m_Unmovable;
}
void Inline_response_200_14::setUnmovable(utility::string_t value)
{
	m_Unmovable = value;
    
}
utility::string_t Inline_response_200_14::getOnline() const
{
	return m_Online;
}
void Inline_response_200_14::setOnline(utility::string_t value)
{
	m_Online = value;
    
}
utility::string_t Inline_response_200_14::getDeleted() const
{
	return m_Deleted;
}
void Inline_response_200_14::setDeleted(utility::string_t value)
{
	m_Deleted = value;
    
}
utility::string_t Inline_response_200_14::getDeletedAuto() const
{
	return m_Deleted_auto;
}
void Inline_response_200_14::setDeletedAuto(utility::string_t value)
{
	m_Deleted_auto = value;
    
}
utility::string_t Inline_response_200_14::getDeletedDump() const
{
	return m_Deleted_dump;
}
void Inline_response_200_14::setDeletedDump(utility::string_t value)
{
	m_Deleted_dump = value;
    
}
utility::string_t Inline_response_200_14::getUserId() const
{
	return m_User_id;
}
void Inline_response_200_14::setUserId(utility::string_t value)
{
	m_User_id = value;
    
}
utility::string_t Inline_response_200_14::getFtpId() const
{
	return m_Ftp_id;
}
void Inline_response_200_14::setFtpId(utility::string_t value)
{
	m_Ftp_id = value;
    
}
utility::string_t Inline_response_200_14::getDnsId() const
{
	return m_Dns_id;
}
void Inline_response_200_14::setDnsId(utility::string_t value)
{
	m_Dns_id = value;
    
}
utility::string_t Inline_response_200_14::getIisId() const
{
	return m_Iis_id;
}
void Inline_response_200_14::setIisId(utility::string_t value)
{
	m_Iis_id = value;
    
}
utility::string_t Inline_response_200_14::getIisBinding() const
{
	return m_Iis_binding;
}
void Inline_response_200_14::setIisBinding(utility::string_t value)
{
	m_Iis_binding = value;
    
}
utility::string_t Inline_response_200_14::getIisPath() const
{
	return m_Iis_path;
}
void Inline_response_200_14::setIisPath(utility::string_t value)
{
	m_Iis_path = value;
    
}
utility::string_t Inline_response_200_14::getIisComments() const
{
	return m_Iis_comments;
}
void Inline_response_200_14::setIisComments(utility::string_t value)
{
	m_Iis_comments = value;
    
}
utility::string_t Inline_response_200_14::getMemo() const
{
	return m_Memo;
}
void Inline_response_200_14::setMemo(utility::string_t value)
{
	m_Memo = value;
    
}
utility::string_t Inline_response_200_14::getDateReg() const
{
	return m_Date_reg;
}
void Inline_response_200_14::setDateReg(utility::string_t value)
{
	m_Date_reg = value;
    
}
utility::string_t Inline_response_200_14::getServer() const
{
	return m_Server;
}
void Inline_response_200_14::setServer(utility::string_t value)
{
	m_Server = value;
    
}
utility::string_t Inline_response_200_14::getServerBak() const
{
	return m_Server_bak;
}
void Inline_response_200_14::setServerBak(utility::string_t value)
{
	m_Server_bak = value;
    
}
utility::string_t Inline_response_200_14::getServerAux() const
{
	return m_Server_aux;
}
void Inline_response_200_14::setServerAux(utility::string_t value)
{
	m_Server_aux = value;
    
}
utility::string_t Inline_response_200_14::getServerTransition() const
{
	return m_Server_transition;
}
void Inline_response_200_14::setServerTransition(utility::string_t value)
{
	m_Server_transition = value;
    
}
utility::string_t Inline_response_200_14::getServerTransitionDtc() const
{
	return m_Server_transition_dtc;
}
void Inline_response_200_14::setServerTransitionDtc(utility::string_t value)
{
	m_Server_transition_dtc = value;
    
}
utility::string_t Inline_response_200_14::getBlockTransfer() const
{
	return m_Block_transfer;
}
void Inline_response_200_14::setBlockTransfer(utility::string_t value)
{
	m_Block_transfer = value;
    
}
utility::string_t Inline_response_200_14::getServerChangedTime() const
{
	return m_Server_changed_time;
}
void Inline_response_200_14::setServerChangedTime(utility::string_t value)
{
	m_Server_changed_time = value;
    
}
utility::string_t Inline_response_200_14::getSizeAmount() const
{
	return m_Size_amount;
}
void Inline_response_200_14::setSizeAmount(utility::string_t value)
{
	m_Size_amount = value;
    
}
utility::string_t Inline_response_200_14::getSizeFileCount() const
{
	return m_Size_file_count;
}
void Inline_response_200_14::setSizeFileCount(utility::string_t value)
{
	m_Size_file_count = value;
    
}
utility::string_t Inline_response_200_14::getSizeFileCountLimit() const
{
	return m_Size_file_count_limit;
}
void Inline_response_200_14::setSizeFileCountLimit(utility::string_t value)
{
	m_Size_file_count_limit = value;
    
}
utility::string_t Inline_response_200_14::getSizeDate() const
{
	return m_Size_date;
}
void Inline_response_200_14::setSizeDate(utility::string_t value)
{
	m_Size_date = value;
    
}
utility::string_t Inline_response_200_14::getSizePriorityScan() const
{
	return m_Size_priority_scan;
}
void Inline_response_200_14::setSizePriorityScan(utility::string_t value)
{
	m_Size_priority_scan = value;
    
}
utility::string_t Inline_response_200_14::getCopyLogs() const
{
	return m_Copy_logs;
}
void Inline_response_200_14::setCopyLogs(utility::string_t value)
{
	m_Copy_logs = value;
    
}
utility::string_t Inline_response_200_14::getContentComments() const
{
	return m_Content_comments;
}
void Inline_response_200_14::setContentComments(utility::string_t value)
{
	m_Content_comments = value;
    
}
utility::string_t Inline_response_200_14::getContentCommentsVerbose() const
{
	return m_Content_comments_verbose;
}
void Inline_response_200_14::setContentCommentsVerbose(utility::string_t value)
{
	m_Content_comments_verbose = value;
    
}
utility::string_t Inline_response_200_14::getMetaSaveCount() const
{
	return m_Meta_save_count;
}
void Inline_response_200_14::setMetaSaveCount(utility::string_t value)
{
	m_Meta_save_count = value;
    
}
utility::string_t Inline_response_200_14::getBaseFolder() const
{
	return m_Base_folder;
}
void Inline_response_200_14::setBaseFolder(utility::string_t value)
{
	m_Base_folder = value;
    
}
utility::string_t Inline_response_200_14::getVirtualhostConf() const
{
	return m_Virtualhost_conf;
}
void Inline_response_200_14::setVirtualhostConf(utility::string_t value)
{
	m_Virtualhost_conf = value;
    
}
utility::string_t Inline_response_200_14::getVirtualhostServer() const
{
	return m_Virtualhost_server;
}
void Inline_response_200_14::setVirtualhostServer(utility::string_t value)
{
	m_Virtualhost_server = value;
    
}
utility::string_t Inline_response_200_14::getVirtualhostServerConf() const
{
	return m_Virtualhost_server_conf;
}
void Inline_response_200_14::setVirtualhostServerConf(utility::string_t value)
{
	m_Virtualhost_server_conf = value;
    
}
utility::string_t Inline_response_200_14::getLiveDayCount() const
{
	return m_Live_day_count;
}
void Inline_response_200_14::setLiveDayCount(utility::string_t value)
{
	m_Live_day_count = value;
    
}
utility::string_t Inline_response_200_14::getScanDate() const
{
	return m_Scan_date;
}
void Inline_response_200_14::setScanDate(utility::string_t value)
{
	m_Scan_date = value;
    
}
utility::string_t Inline_response_200_14::getGlobalTransferCount() const
{
	return m_Global_transfer_count;
}
void Inline_response_200_14::setGlobalTransferCount(utility::string_t value)
{
	m_Global_transfer_count = value;
    
}
utility::string_t Inline_response_200_14::getNetLimitFile() const
{
	return m_Net_limit_file;
}
void Inline_response_200_14::setNetLimitFile(utility::string_t value)
{
	m_Net_limit_file = value;
    
}
utility::string_t Inline_response_200_14::getNetLimitDenyFromIp() const
{
	return m_Net_limit_deny_from_ip;
}
void Inline_response_200_14::setNetLimitDenyFromIp(utility::string_t value)
{
	m_Net_limit_deny_from_ip = value;
    
}
utility::string_t Inline_response_200_14::getNetLimitDenyFromAgent() const
{
	return m_Net_limit_deny_from_agent;
}
void Inline_response_200_14::setNetLimitDenyFromAgent(utility::string_t value)
{
	m_Net_limit_deny_from_agent = value;
    
}
utility::string_t Inline_response_200_14::getApachePhpPooled() const
{
	return m_Apache_php_pooled;
}
void Inline_response_200_14::setApachePhpPooled(utility::string_t value)
{
	m_Apache_php_pooled = value;
    
}
utility::string_t Inline_response_200_14::getApachePhpPooledExt() const
{
	return m_Apache_php_pooled_ext;
}
void Inline_response_200_14::setApachePhpPooledExt(utility::string_t value)
{
	m_Apache_php_pooled_ext = value;
    
}
utility::string_t Inline_response_200_14::getApachePhpPooledExtAuto() const
{
	return m_Apache_php_pooled_ext_auto;
}
void Inline_response_200_14::setApachePhpPooledExtAuto(utility::string_t value)
{
	m_Apache_php_pooled_ext_auto = value;
    
}
utility::string_t Inline_response_200_14::getApachePhpPool1Only() const
{
	return m_Apache_php_pool1_only;
}
void Inline_response_200_14::setApachePhpPool1Only(utility::string_t value)
{
	m_Apache_php_pool1_only = value;
    
}
utility::string_t Inline_response_200_14::getApachePhpPool5Only() const
{
	return m_Apache_php_pool5_only;
}
void Inline_response_200_14::setApachePhpPool5Only(utility::string_t value)
{
	m_Apache_php_pool5_only = value;
    
}
utility::string_t Inline_response_200_14::getApacheSsi() const
{
	return m_Apache_ssi;
}
void Inline_response_200_14::setApacheSsi(utility::string_t value)
{
	m_Apache_ssi = value;
    
}
utility::string_t Inline_response_200_14::getBypassSecurity() const
{
	return m_Bypass_security;
}
void Inline_response_200_14::setBypassSecurity(utility::string_t value)
{
	m_Bypass_security = value;
    
}
utility::string_t Inline_response_200_14::getFlagGenericExec() const
{
	return m_Flag_generic_exec;
}
void Inline_response_200_14::setFlagGenericExec(utility::string_t value)
{
	m_Flag_generic_exec = value;
    
}
utility::string_t Inline_response_200_14::getFlagNoWww() const
{
	return m_Flag_no_www;
}
void Inline_response_200_14::setFlagNoWww(utility::string_t value)
{
	m_Flag_no_www = value;
    
}
utility::string_t Inline_response_200_14::getBaseFolderSuffix() const
{
	return m_Base_folder_suffix;
}
void Inline_response_200_14::setBaseFolderSuffix(utility::string_t value)
{
	m_Base_folder_suffix = value;
    
}
utility::string_t Inline_response_200_14::getFeedbackSpeed() const
{
	return m_Feedback_speed;
}
void Inline_response_200_14::setFeedbackSpeed(utility::string_t value)
{
	m_Feedback_speed = value;
    
}
utility::string_t Inline_response_200_14::getFeedbackSpeedDtc() const
{
	return m_Feedback_speed_dtc;
}
void Inline_response_200_14::setFeedbackSpeedDtc(utility::string_t value)
{
	m_Feedback_speed_dtc = value;
    
}
utility::string_t Inline_response_200_14::getFeedbackSpeedFeedback() const
{
	return m_Feedback_speed_feedback;
}
void Inline_response_200_14::setFeedbackSpeedFeedback(utility::string_t value)
{
	m_Feedback_speed_feedback = value;
    
}
utility::string_t Inline_response_200_14::getUnixPathOnWindows() const
{
	return m_Unix_path_on_windows;
}
void Inline_response_200_14::setUnixPathOnWindows(utility::string_t value)
{
	m_Unix_path_on_windows = value;
    
}
utility::string_t Inline_response_200_14::getFtpIpfilter() const
{
	return m_Ftp_ipfilter;
}
void Inline_response_200_14::setFtpIpfilter(utility::string_t value)
{
	m_Ftp_ipfilter = value;
    
}
utility::string_t Inline_response_200_14::getSshIpfilter() const
{
	return m_Ssh_ipfilter;
}
void Inline_response_200_14::setSshIpfilter(utility::string_t value)
{
	m_Ssh_ipfilter = value;
    
}
utility::string_t Inline_response_200_14::getL3dAuto() const
{
	return m_L3d_auto;
}
void Inline_response_200_14::setL3dAuto(utility::string_t value)
{
	m_L3d_auto = value;
    
}
utility::string_t Inline_response_200_14::getAwstatsPrimaryDomain() const
{
	return m_Awstats_primary_domain;
}
void Inline_response_200_14::setAwstatsPrimaryDomain(utility::string_t value)
{
	m_Awstats_primary_domain = value;
    
}
utility::string_t Inline_response_200_14::getSharepointMode() const
{
	return m_Sharepoint_mode;
}
void Inline_response_200_14::setSharepointMode(utility::string_t value)
{
	m_Sharepoint_mode = value;
    
}
utility::string_t Inline_response_200_14::getSharepointModePending() const
{
	return m_Sharepoint_mode_pending;
}
void Inline_response_200_14::setSharepointModePending(utility::string_t value)
{
	m_Sharepoint_mode_pending = value;
    
}
utility::string_t Inline_response_200_14::getApacheGenericPoolPort() const
{
	return m_Apache_generic_pool_port;
}
void Inline_response_200_14::setApacheGenericPoolPort(utility::string_t value)
{
	m_Apache_generic_pool_port = value;
    
}
utility::string_t Inline_response_200_14::getMongrelEnvironment() const
{
	return m_Mongrel_environment;
}
void Inline_response_200_14::setMongrelEnvironment(utility::string_t value)
{
	m_Mongrel_environment = value;
    
}
utility::string_t Inline_response_200_14::getFlagFree() const
{
	return m_Flag_free;
}
void Inline_response_200_14::setFlagFree(utility::string_t value)
{
	m_Flag_free = value;
    
}
utility::string_t Inline_response_200_14::getRtmScanDate() const
{
	return m_Rtm_scan_date;
}
void Inline_response_200_14::setRtmScanDate(utility::string_t value)
{
	m_Rtm_scan_date = value;
    
}
utility::string_t Inline_response_200_14::getAnalyzeAnalog() const
{
	return m_Analyze_analog;
}
void Inline_response_200_14::setAnalyzeAnalog(utility::string_t value)
{
	m_Analyze_analog = value;
    
}
utility::string_t Inline_response_200_14::getCpuDetailsEnabled() const
{
	return m_Cpu_details_enabled;
}
void Inline_response_200_14::setCpuDetailsEnabled(utility::string_t value)
{
	m_Cpu_details_enabled = value;
    
}
utility::string_t Inline_response_200_14::getContentModeratedStatus() const
{
	return m_Content_moderated_status;
}
void Inline_response_200_14::setContentModeratedStatus(utility::string_t value)
{
	m_Content_moderated_status = value;
    
}
utility::string_t Inline_response_200_14::getContentModeratedDate() const
{
	return m_Content_moderated_date;
}
void Inline_response_200_14::setContentModeratedDate(utility::string_t value)
{
	m_Content_moderated_date = value;
    
}
utility::string_t Inline_response_200_14::getHttpFrontendIp() const
{
	return m_Http_frontend_ip;
}
void Inline_response_200_14::setHttpFrontendIp(utility::string_t value)
{
	m_Http_frontend_ip = value;
    
}
utility::string_t Inline_response_200_14::getHttpFrontendIpTransition() const
{
	return m_Http_frontend_ip_transition;
}
void Inline_response_200_14::setHttpFrontendIpTransition(utility::string_t value)
{
	m_Http_frontend_ip_transition = value;
    
}
utility::string_t Inline_response_200_14::getCpuLimitExceededDate() const
{
	return m_Cpu_limit_exceeded_date;
}
void Inline_response_200_14::setCpuLimitExceededDate(utility::string_t value)
{
	m_Cpu_limit_exceeded_date = value;
    
}
utility::string_t Inline_response_200_14::getAufsTemplate() const
{
	return m_Aufs_template;
}
void Inline_response_200_14::setAufsTemplate(utility::string_t value)
{
	m_Aufs_template = value;
    
}
utility::string_t Inline_response_200_14::getOptionsAutolimit() const
{
	return m_Options_autolimit;
}
void Inline_response_200_14::setOptionsAutolimit(utility::string_t value)
{
	m_Options_autolimit = value;
    
}
utility::string_t Inline_response_200_14::getIisCreationCommands() const
{
	return m_Iis_creation_commands;
}
void Inline_response_200_14::setIisCreationCommands(utility::string_t value)
{
	m_Iis_creation_commands = value;
    
}
utility::string_t Inline_response_200_14::getIisCreationCommandsUnix() const
{
	return m_Iis_creation_commands_unix;
}
void Inline_response_200_14::setIisCreationCommandsUnix(utility::string_t value)
{
	m_Iis_creation_commands_unix = value;
    
}
utility::string_t Inline_response_200_14::getThumbDate() const
{
	return m_Thumb_date;
}
void Inline_response_200_14::setThumbDate(utility::string_t value)
{
	m_Thumb_date = value;
    
}
utility::string_t Inline_response_200_14::getThumbFailed() const
{
	return m_Thumb_failed;
}
void Inline_response_200_14::setThumbFailed(utility::string_t value)
{
	m_Thumb_failed = value;
    
}
utility::string_t Inline_response_200_14::getBackupStatDate() const
{
	return m_Backup_stat_date;
}
void Inline_response_200_14::setBackupStatDate(utility::string_t value)
{
	m_Backup_stat_date = value;
    
}
utility::string_t Inline_response_200_14::getBackupDate() const
{
	return m_Backup_date;
}
void Inline_response_200_14::setBackupDate(utility::string_t value)
{
	m_Backup_date = value;
    
}
utility::string_t Inline_response_200_14::getDetectedPackages() const
{
	return m_Detected_packages;
}
void Inline_response_200_14::setDetectedPackages(utility::string_t value)
{
	m_Detected_packages = value;
    
}
utility::string_t Inline_response_200_14::getStatSitePower() const
{
	return m_Stat_site_power;
}
void Inline_response_200_14::setStatSitePower(utility::string_t value)
{
	m_Stat_site_power = value;
    
}
utility::string_t Inline_response_200_14::getSmtpFrom() const
{
	return m_Smtp_from;
}
void Inline_response_200_14::setSmtpFrom(utility::string_t value)
{
	m_Smtp_from = value;
    
}
utility::string_t Inline_response_200_14::getSuperBackupDate() const
{
	return m_Super_backup_date;
}
void Inline_response_200_14::setSuperBackupDate(utility::string_t value)
{
	m_Super_backup_date = value;
    
}
utility::string_t Inline_response_200_14::getBackupDeltaStatDate() const
{
	return m_Backup_delta_stat_date;
}
void Inline_response_200_14::setBackupDeltaStatDate(utility::string_t value)
{
	m_Backup_delta_stat_date = value;
    
}
utility::string_t Inline_response_200_14::getBackupDeltaDate() const
{
	return m_Backup_delta_date;
}
void Inline_response_200_14::setBackupDeltaDate(utility::string_t value)
{
	m_Backup_delta_date = value;
    
}
utility::string_t Inline_response_200_14::getBackupDeltaDesc() const
{
	return m_Backup_delta_desc;
}
void Inline_response_200_14::setBackupDeltaDesc(utility::string_t value)
{
	m_Backup_delta_desc = value;
    
}
utility::string_t Inline_response_200_14::getAltDocrootServer() const
{
	return m_Alt_docroot_server;
}
void Inline_response_200_14::setAltDocrootServer(utility::string_t value)
{
	m_Alt_docroot_server = value;
    
}
utility::string_t Inline_response_200_14::getAltDocrootPath() const
{
	return m_Alt_docroot_path;
}
void Inline_response_200_14::setAltDocrootPath(utility::string_t value)
{
	m_Alt_docroot_path = value;
    
}
utility::string_t Inline_response_200_14::getAltDocrootStatus() const
{
	return m_Alt_docroot_status;
}
void Inline_response_200_14::setAltDocrootStatus(utility::string_t value)
{
	m_Alt_docroot_status = value;
    
}
utility::string_t Inline_response_200_14::getAltDocrootStatusCnt() const
{
	return m_Alt_docroot_status_cnt;
}
void Inline_response_200_14::setAltDocrootStatusCnt(utility::string_t value)
{
	m_Alt_docroot_status_cnt = value;
    
}
utility::string_t Inline_response_200_14::getAltDocrootStatusDate() const
{
	return m_Alt_docroot_status_date;
}
void Inline_response_200_14::setAltDocrootStatusDate(utility::string_t value)
{
	m_Alt_docroot_status_date = value;
    
}
utility::string_t Inline_response_200_14::getBindDtc() const
{
	return m_Bind_dtc;
}
void Inline_response_200_14::setBindDtc(utility::string_t value)
{
	m_Bind_dtc = value;
    
}
utility::string_t Inline_response_200_14::getBackupSpecialMode() const
{
	return m_Backup_special_mode;
}
void Inline_response_200_14::setBackupSpecialMode(utility::string_t value)
{
	m_Backup_special_mode = value;
    
}
utility::string_t Inline_response_200_14::getSizeCheckProblem() const
{
	return m_Size_check_problem;
}
void Inline_response_200_14::setSizeCheckProblem(utility::string_t value)
{
	m_Size_check_problem = value;
    
}
utility::string_t Inline_response_200_14::getWpbDomain() const
{
	return m_Wpb_domain;
}
void Inline_response_200_14::setWpbDomain(utility::string_t value)
{
	m_Wpb_domain = value;
    
}
utility::string_t Inline_response_200_14::getWpbUuid() const
{
	return m_Wpb_uuid;
}
void Inline_response_200_14::setWpbUuid(utility::string_t value)
{
	m_Wpb_uuid = value;
    
}
utility::string_t Inline_response_200_14::getWpbStatus() const
{
	return m_Wpb_status;
}
void Inline_response_200_14::setWpbStatus(utility::string_t value)
{
	m_Wpb_status = value;
    
}
utility::string_t Inline_response_200_14::getAdminProtection() const
{
	return m_Admin_protection;
}
void Inline_response_200_14::setAdminProtection(utility::string_t value)
{
	m_Admin_protection = value;
    
}
utility::string_t Inline_response_200_14::getSizeComments() const
{
	return m_Size_comments;
}
void Inline_response_200_14::setSizeComments(utility::string_t value)
{
	m_Size_comments = value;
    
}
utility::string_t Inline_response_200_14::getAltDocrootSsdReq() const
{
	return m_Alt_docroot_ssd_req;
}
void Inline_response_200_14::setAltDocrootSsdReq(utility::string_t value)
{
	m_Alt_docroot_ssd_req = value;
    
}
utility::string_t Inline_response_200_14::getMailLimit() const
{
	return m_Mail_limit;
}
void Inline_response_200_14::setMailLimit(utility::string_t value)
{
	m_Mail_limit = value;
    
}
utility::string_t Inline_response_200_14::getMailAccept() const
{
	return m_Mail_accept;
}
void Inline_response_200_14::setMailAccept(utility::string_t value)
{
	m_Mail_accept = value;
    
}
utility::string_t Inline_response_200_14::getMailDrop() const
{
	return m_Mail_drop;
}
void Inline_response_200_14::setMailDrop(utility::string_t value)
{
	m_Mail_drop = value;
    
}
utility::string_t Inline_response_200_14::getFtpName() const
{
	return m_Ftp_name;
}
void Inline_response_200_14::setFtpName(utility::string_t value)
{
	m_Ftp_name = value;
    
}
utility::string_t Inline_response_200_14::getFtpPwd() const
{
	return m_Ftp_pwd;
}
void Inline_response_200_14::setFtpPwd(utility::string_t value)
{
	m_Ftp_pwd = value;
    
}

}
}
}
}

