/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * Inline_response_200_14.h
 * 
 * 
 */

#ifndef Inline_response_200_14_H_
#define Inline_response_200_14_H_


#include "ModelBase.h"

#include <cpprest/details/basic_types.h>

namespace io {
namespace swagger {
namespace client {
namespace model {

/// <summary>
/// 
/// </summary>
class  Inline_response_200_14
	: public ModelBase
{
public:
    Inline_response_200_14();
    virtual ~Inline_response_200_14();

	/////////////////////////////////////////////
	/// ModelBase overrides
	
    void validate() override;

    web::json::value toJson() const override;
    void fromJson(web::json::value& json) override;

    void toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& namePrefix) const override;
    void fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& namePrefix) override;
    
 	/////////////////////////////////////////////
	/// Inline_response_200_14 members
	   
    /// <summary>
    /// 
    /// </summary>
    int32_t getId() const;
    void setId(int32_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getStatus() const;
    void setStatus(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getUnmovable() const;
    void setUnmovable(utility::string_t value);
        /// <summary>
    /// Включен (активен), если true.
    /// </summary>
    utility::string_t getOnline() const;
    void setOnline(utility::string_t value);
        /// <summary>
    /// Удален, если true. Данные могут сохраняться.
    /// </summary>
    utility::string_t getDeleted() const;
    void setDeleted(utility::string_t value);
        /// <summary>
    /// Удален, если true. Данные могут сохраняться.
    /// </summary>
    utility::string_t getDeletedAuto() const;
    void setDeletedAuto(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getDeletedDump() const;
    void setDeletedDump(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getUserId() const;
    void setUserId(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getFtpId() const;
    void setFtpId(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getDnsId() const;
    void setDnsId(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getIisId() const;
    void setIisId(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getIisBinding() const;
    void setIisBinding(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getIisPath() const;
    void setIisPath(utility::string_t value);
        /// <summary>
    /// Уникальное строковое имя сайта (ID).
    /// </summary>
    utility::string_t getIisComments() const;
    void setIisComments(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getMemo() const;
    void setMemo(utility::string_t value);
        /// <summary>
    /// Дата создания.
    /// </summary>
    utility::string_t getDateReg() const;
    void setDateReg(utility::string_t value);
        /// <summary>
    /// Тип веб-сервера.
    /// </summary>
    utility::string_t getServer() const;
    void setServer(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getServerBak() const;
    void setServerBak(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getServerAux() const;
    void setServerAux(utility::string_t value);
        /// <summary>
    /// Тип сервера недавно изменялся, если true.
    /// </summary>
    utility::string_t getServerTransition() const;
    void setServerTransition(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getServerTransitionDtc() const;
    void setServerTransitionDtc(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getBlockTransfer() const;
    void setBlockTransfer(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getServerChangedTime() const;
    void setServerChangedTime(utility::string_t value);
        /// <summary>
    /// Размер веб-сайта - объем (Кб).
    /// </summary>
    utility::string_t getSizeAmount() const;
    void setSizeAmount(utility::string_t value);
        /// <summary>
    /// Размер веб-сайта - кол-во файлов.
    /// </summary>
    utility::string_t getSizeFileCount() const;
    void setSizeFileCount(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getSizeFileCountLimit() const;
    void setSizeFileCountLimit(utility::string_t value);
        /// <summary>
    /// Размер веб-сайта - дата замера.
    /// </summary>
    utility::string_t getSizeDate() const;
    void setSizeDate(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getSizePriorityScan() const;
    void setSizePriorityScan(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getCopyLogs() const;
    void setCopyLogs(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getContentComments() const;
    void setContentComments(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getContentCommentsVerbose() const;
    void setContentCommentsVerbose(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getMetaSaveCount() const;
    void setMetaSaveCount(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getBaseFolder() const;
    void setBaseFolder(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getVirtualhostConf() const;
    void setVirtualhostConf(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getVirtualhostServer() const;
    void setVirtualhostServer(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getVirtualhostServerConf() const;
    void setVirtualhostServerConf(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getLiveDayCount() const;
    void setLiveDayCount(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getScanDate() const;
    void setScanDate(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getGlobalTransferCount() const;
    void setGlobalTransferCount(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getNetLimitFile() const;
    void setNetLimitFile(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getNetLimitDenyFromIp() const;
    void setNetLimitDenyFromIp(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getNetLimitDenyFromAgent() const;
    void setNetLimitDenyFromAgent(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getApachePhpPooled() const;
    void setApachePhpPooled(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getApachePhpPooledExt() const;
    void setApachePhpPooledExt(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getApachePhpPooledExtAuto() const;
    void setApachePhpPooledExtAuto(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getApachePhpPool1Only() const;
    void setApachePhpPool1Only(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getApachePhpPool5Only() const;
    void setApachePhpPool5Only(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getApacheSsi() const;
    void setApacheSsi(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getBypassSecurity() const;
    void setBypassSecurity(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getFlagGenericExec() const;
    void setFlagGenericExec(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getFlagNoWww() const;
    void setFlagNoWww(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getBaseFolderSuffix() const;
    void setBaseFolderSuffix(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getFeedbackSpeed() const;
    void setFeedbackSpeed(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getFeedbackSpeedDtc() const;
    void setFeedbackSpeedDtc(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getFeedbackSpeedFeedback() const;
    void setFeedbackSpeedFeedback(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getUnixPathOnWindows() const;
    void setUnixPathOnWindows(utility::string_t value);
        /// <summary>
    /// Ограничение по IP адресам - FTP доступ.
    /// </summary>
    utility::string_t getFtpIpfilter() const;
    void setFtpIpfilter(utility::string_t value);
        /// <summary>
    /// Ограничение по IP адресам - SSH доступ.
    /// </summary>
    utility::string_t getSshIpfilter() const;
    void setSshIpfilter(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getL3dAuto() const;
    void setL3dAuto(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getAwstatsPrimaryDomain() const;
    void setAwstatsPrimaryDomain(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getSharepointMode() const;
    void setSharepointMode(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getSharepointModePending() const;
    void setSharepointModePending(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getApacheGenericPoolPort() const;
    void setApacheGenericPoolPort(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getMongrelEnvironment() const;
    void setMongrelEnvironment(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getFlagFree() const;
    void setFlagFree(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getRtmScanDate() const;
    void setRtmScanDate(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getAnalyzeAnalog() const;
    void setAnalyzeAnalog(utility::string_t value);
        /// <summary>
    /// Включен режим предоставления детализации процессорной нагрузки.
    /// </summary>
    utility::string_t getCpuDetailsEnabled() const;
    void setCpuDetailsEnabled(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getContentModeratedStatus() const;
    void setContentModeratedStatus(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getContentModeratedDate() const;
    void setContentModeratedDate(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getHttpFrontendIp() const;
    void setHttpFrontendIp(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getHttpFrontendIpTransition() const;
    void setHttpFrontendIpTransition(utility::string_t value);
        /// <summary>
    /// Дата последнего превышения процессорной нагрузки.
    /// </summary>
    utility::string_t getCpuLimitExceededDate() const;
    void setCpuLimitExceededDate(utility::string_t value);
        /// <summary>
    /// Признак сайта-конструктора.
    /// </summary>
    utility::string_t getAufsTemplate() const;
    void setAufsTemplate(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getOptionsAutolimit() const;
    void setOptionsAutolimit(utility::string_t value);
        /// <summary>
    /// Версия ASP.NET, если отлична от 2.0.
    /// </summary>
    utility::string_t getIisCreationCommands() const;
    void setIisCreationCommands(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getIisCreationCommandsUnix() const;
    void setIisCreationCommandsUnix(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getThumbDate() const;
    void setThumbDate(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getThumbFailed() const;
    void setThumbFailed(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getBackupStatDate() const;
    void setBackupStatDate(utility::string_t value);
        /// <summary>
    /// Дата пофайловой резервной копии.
    /// </summary>
    utility::string_t getBackupDate() const;
    void setBackupDate(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getDetectedPackages() const;
    void setDetectedPackages(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getStatSitePower() const;
    void setStatSitePower(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getSmtpFrom() const;
    void setSmtpFrom(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getSuperBackupDate() const;
    void setSuperBackupDate(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getBackupDeltaStatDate() const;
    void setBackupDeltaStatDate(utility::string_t value);
        /// <summary>
    /// Дата архивной резервной копии.
    /// </summary>
    utility::string_t getBackupDeltaDate() const;
    void setBackupDeltaDate(utility::string_t value);
        /// <summary>
    /// Содержимое архивной резервной копии.
    /// </summary>
    utility::string_t getBackupDeltaDesc() const;
    void setBackupDeltaDesc(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getAltDocrootServer() const;
    void setAltDocrootServer(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getAltDocrootPath() const;
    void setAltDocrootPath(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getAltDocrootStatus() const;
    void setAltDocrootStatus(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getAltDocrootStatusCnt() const;
    void setAltDocrootStatusCnt(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getAltDocrootStatusDate() const;
    void setAltDocrootStatusDate(utility::string_t value);
        /// <summary>
    /// Последнее изменение привязок доменов для сайта.
    /// </summary>
    utility::string_t getBindDtc() const;
    void setBindDtc(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getBackupSpecialMode() const;
    void setBackupSpecialMode(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getSizeCheckProblem() const;
    void setSizeCheckProblem(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getWpbDomain() const;
    void setWpbDomain(utility::string_t value);
        /// <summary>
    /// Для сайта включен конструктор Parallels WPB.
    /// </summary>
    utility::string_t getWpbUuid() const;
    void setWpbUuid(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getWpbStatus() const;
    void setWpbStatus(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getAdminProtection() const;
    void setAdminProtection(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getSizeComments() const;
    void setSizeComments(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getAltDocrootSsdReq() const;
    void setAltDocrootSsdReq(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getMailLimit() const;
    void setMailLimit(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getMailAccept() const;
    void setMailAccept(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getMailDrop() const;
    void setMailDrop(utility::string_t value);
        /// <summary>
    /// FTP/SSH/SCP/SFTP логин.
    /// </summary>
    utility::string_t getFtpName() const;
    void setFtpName(utility::string_t value);
        /// <summary>
    /// FTP/SSH/SCP/SFTP пароль.
    /// </summary>
    utility::string_t getFtpPwd() const;
    void setFtpPwd(utility::string_t value);
        
protected:
    int32_t m_Id;
    utility::string_t m_Status;
    utility::string_t m_Unmovable;
    utility::string_t m_Online;
    utility::string_t m_Deleted;
    utility::string_t m_Deleted_auto;
    utility::string_t m_Deleted_dump;
    utility::string_t m_User_id;
    utility::string_t m_Ftp_id;
    utility::string_t m_Dns_id;
    utility::string_t m_Iis_id;
    utility::string_t m_Iis_binding;
    utility::string_t m_Iis_path;
    utility::string_t m_Iis_comments;
    utility::string_t m_Memo;
    utility::string_t m_Date_reg;
    utility::string_t m_Server;
    utility::string_t m_Server_bak;
    utility::string_t m_Server_aux;
    utility::string_t m_Server_transition;
    utility::string_t m_Server_transition_dtc;
    utility::string_t m_Block_transfer;
    utility::string_t m_Server_changed_time;
    utility::string_t m_Size_amount;
    utility::string_t m_Size_file_count;
    utility::string_t m_Size_file_count_limit;
    utility::string_t m_Size_date;
    utility::string_t m_Size_priority_scan;
    utility::string_t m_Copy_logs;
    utility::string_t m_Content_comments;
    utility::string_t m_Content_comments_verbose;
    utility::string_t m_Meta_save_count;
    utility::string_t m_Base_folder;
    utility::string_t m_Virtualhost_conf;
    utility::string_t m_Virtualhost_server;
    utility::string_t m_Virtualhost_server_conf;
    utility::string_t m_Live_day_count;
    utility::string_t m_Scan_date;
    utility::string_t m_Global_transfer_count;
    utility::string_t m_Net_limit_file;
    utility::string_t m_Net_limit_deny_from_ip;
    utility::string_t m_Net_limit_deny_from_agent;
    utility::string_t m_Apache_php_pooled;
    utility::string_t m_Apache_php_pooled_ext;
    utility::string_t m_Apache_php_pooled_ext_auto;
    utility::string_t m_Apache_php_pool1_only;
    utility::string_t m_Apache_php_pool5_only;
    utility::string_t m_Apache_ssi;
    utility::string_t m_Bypass_security;
    utility::string_t m_Flag_generic_exec;
    utility::string_t m_Flag_no_www;
    utility::string_t m_Base_folder_suffix;
    utility::string_t m_Feedback_speed;
    utility::string_t m_Feedback_speed_dtc;
    utility::string_t m_Feedback_speed_feedback;
    utility::string_t m_Unix_path_on_windows;
    utility::string_t m_Ftp_ipfilter;
    utility::string_t m_Ssh_ipfilter;
    utility::string_t m_L3d_auto;
    utility::string_t m_Awstats_primary_domain;
    utility::string_t m_Sharepoint_mode;
    utility::string_t m_Sharepoint_mode_pending;
    utility::string_t m_Apache_generic_pool_port;
    utility::string_t m_Mongrel_environment;
    utility::string_t m_Flag_free;
    utility::string_t m_Rtm_scan_date;
    utility::string_t m_Analyze_analog;
    utility::string_t m_Cpu_details_enabled;
    utility::string_t m_Content_moderated_status;
    utility::string_t m_Content_moderated_date;
    utility::string_t m_Http_frontend_ip;
    utility::string_t m_Http_frontend_ip_transition;
    utility::string_t m_Cpu_limit_exceeded_date;
    utility::string_t m_Aufs_template;
    utility::string_t m_Options_autolimit;
    utility::string_t m_Iis_creation_commands;
    utility::string_t m_Iis_creation_commands_unix;
    utility::string_t m_Thumb_date;
    utility::string_t m_Thumb_failed;
    utility::string_t m_Backup_stat_date;
    utility::string_t m_Backup_date;
    utility::string_t m_Detected_packages;
    utility::string_t m_Stat_site_power;
    utility::string_t m_Smtp_from;
    utility::string_t m_Super_backup_date;
    utility::string_t m_Backup_delta_stat_date;
    utility::string_t m_Backup_delta_date;
    utility::string_t m_Backup_delta_desc;
    utility::string_t m_Alt_docroot_server;
    utility::string_t m_Alt_docroot_path;
    utility::string_t m_Alt_docroot_status;
    utility::string_t m_Alt_docroot_status_cnt;
    utility::string_t m_Alt_docroot_status_date;
    utility::string_t m_Bind_dtc;
    utility::string_t m_Backup_special_mode;
    utility::string_t m_Size_check_problem;
    utility::string_t m_Wpb_domain;
    utility::string_t m_Wpb_uuid;
    utility::string_t m_Wpb_status;
    utility::string_t m_Admin_protection;
    utility::string_t m_Size_comments;
    utility::string_t m_Alt_docroot_ssd_req;
    utility::string_t m_Mail_limit;
    utility::string_t m_Mail_accept;
    utility::string_t m_Mail_drop;
    utility::string_t m_Ftp_name;
    utility::string_t m_Ftp_pwd;
    };

}
}
}
}

#endif /* Inline_response_200_14_H_ */
