/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#include "Inline_response_200_3.h"

namespace io {
namespace swagger {
namespace client {
namespace model {

Inline_response_200_3::Inline_response_200_3()
{
    m_Id = nullptr;
    m_Iis_id = nullptr;
    m_Online = false;
    m_Full_domain_name = U("");
    m_Full_domain_name_local = U("");
    m_Addr1 = U("");
    m_Zone = U("");
    
}

Inline_response_200_3::~Inline_response_200_3()
{
}

void Inline_response_200_3::validate() 
{
    // TODO: implement validation
}

web::json::value Inline_response_200_3::toJson() const
{
    web::json::value val = web::json::value::object();
     
	val[U("id")] = ModelBase::toJson(m_Id);
    val[U("iis_id")] = ModelBase::toJson(m_Iis_id);
    val[U("online")] = ModelBase::toJson(m_Online);
    val[U("full_domain_name")] = ModelBase::toJson(m_Full_domain_name);
    val[U("full_domain_name_local")] = ModelBase::toJson(m_Full_domain_name_local);
    val[U("addr1")] = ModelBase::toJson(m_Addr1);
    val[U("zone")] = ModelBase::toJson(m_Zone);
    

    return val;
}

void Inline_response_200_3::fromJson(web::json::value& val)
{
    setId(ModelBase::int32_tFromJson(val[U("id")]));
    setIisId(ModelBase::int32_tFromJson(val[U("iis_id")]));
    setOnline(ModelBase::boolFromJson(val[U("online")]));
    setFullDomainName(ModelBase::stringFromJson(val[U("full_domain_name")]));
    setFullDomainNameLocal(ModelBase::stringFromJson(val[U("full_domain_name_local")]));
    setAddr1(ModelBase::stringFromJson(val[U("addr1")]));
    setZone(ModelBase::stringFromJson(val[U("zone")]));
    
}

void Inline_response_200_3::toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix) const
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

	multipart->add(ModelBase::toHttpContent(namePrefix + U("id"), m_Id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("iis_id"), m_Iis_id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("online"), m_Online));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("full_domain_name"), m_Full_domain_name));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("full_domain_name_local"), m_Full_domain_name_local));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("addr1"), m_Addr1));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("zone"), m_Zone));
    
}

void Inline_response_200_3::fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix)
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

    setId(ModelBase::int32_tFromHttpContent(multipart->getContent(U("id"))));
    setIisId(ModelBase::int32_tFromHttpContent(multipart->getContent(U("iis_id"))));
    setOnline(ModelBase::boolFromHttpContent(multipart->getContent(U("online"))));
    setFullDomainName(ModelBase::stringFromHttpContent(multipart->getContent(U("full_domain_name"))));
    setFullDomainNameLocal(ModelBase::stringFromHttpContent(multipart->getContent(U("full_domain_name_local"))));
    setAddr1(ModelBase::stringFromHttpContent(multipart->getContent(U("addr1"))));
    setZone(ModelBase::stringFromHttpContent(multipart->getContent(U("zone"))));
    
}
    
   
int32_t Inline_response_200_3::getId() const
{
	return m_Id;
}
void Inline_response_200_3::setId(int32_t value)
{
	m_Id = value;
    
}
int32_t Inline_response_200_3::getIisId() const
{
	return m_Iis_id;
}
void Inline_response_200_3::setIisId(int32_t value)
{
	m_Iis_id = value;
    
}
bool Inline_response_200_3::getOnline() const
{
	return m_Online;
}
void Inline_response_200_3::setOnline(bool value)
{
	m_Online = value;
    
}
utility::string_t Inline_response_200_3::getFullDomainName() const
{
	return m_Full_domain_name;
}
void Inline_response_200_3::setFullDomainName(utility::string_t value)
{
	m_Full_domain_name = value;
    
}
utility::string_t Inline_response_200_3::getFullDomainNameLocal() const
{
	return m_Full_domain_name_local;
}
void Inline_response_200_3::setFullDomainNameLocal(utility::string_t value)
{
	m_Full_domain_name_local = value;
    
}
utility::string_t Inline_response_200_3::getAddr1() const
{
	return m_Addr1;
}
void Inline_response_200_3::setAddr1(utility::string_t value)
{
	m_Addr1 = value;
    
}
utility::string_t Inline_response_200_3::getZone() const
{
	return m_Zone;
}
void Inline_response_200_3::setZone(utility::string_t value)
{
	m_Zone = value;
    
}

}
}
}
}

