/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#include "Inline_response_200_4.h"

namespace io {
namespace swagger {
namespace client {
namespace model {

Inline_response_200_4::Inline_response_200_4()
{
    m_Date_updated = U("");
    m_Record_created = U("");
    m_Subject_contract = U("");
    m_End_date = U("");
    m_Payed_till = U("");
    m_Object_state = U("");
    m_Domain_addr = U("");
    m_Nservers = U("");
    m_Expires_countdown = nullptr;
    
}

Inline_response_200_4::~Inline_response_200_4()
{
}

void Inline_response_200_4::validate() 
{
    // TODO: implement validation
}

web::json::value Inline_response_200_4::toJson() const
{
    web::json::value val = web::json::value::object();
     
	val[U("date_updated")] = ModelBase::toJson(m_Date_updated);
    val[U("record_created")] = ModelBase::toJson(m_Record_created);
    val[U("subject_contract")] = ModelBase::toJson(m_Subject_contract);
    val[U("end_date")] = ModelBase::toJson(m_End_date);
    val[U("payed_till")] = ModelBase::toJson(m_Payed_till);
    val[U("object_state")] = ModelBase::toJson(m_Object_state);
    val[U("domain_addr")] = ModelBase::toJson(m_Domain_addr);
    val[U("nservers")] = ModelBase::toJson(m_Nservers);
    val[U("expires_countdown")] = ModelBase::toJson(m_Expires_countdown);
    

    return val;
}

void Inline_response_200_4::fromJson(web::json::value& val)
{
    setDateUpdated(ModelBase::stringFromJson(val[U("date_updated")]));
    setRecordCreated(ModelBase::stringFromJson(val[U("record_created")]));
    setSubjectContract(ModelBase::stringFromJson(val[U("subject_contract")]));
    setEndDate(ModelBase::stringFromJson(val[U("end_date")]));
    setPayedTill(ModelBase::stringFromJson(val[U("payed_till")]));
    setObjectState(ModelBase::stringFromJson(val[U("object_state")]));
    setDomainAddr(ModelBase::stringFromJson(val[U("domain_addr")]));
    setNservers(ModelBase::stringFromJson(val[U("nservers")]));
    setExpiresCountdown(ModelBase::int32_tFromJson(val[U("expires_countdown")]));
    
}

void Inline_response_200_4::toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix) const
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

	multipart->add(ModelBase::toHttpContent(namePrefix + U("date_updated"), m_Date_updated));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("record_created"), m_Record_created));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("subject_contract"), m_Subject_contract));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("end_date"), m_End_date));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("payed_till"), m_Payed_till));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("object_state"), m_Object_state));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("domain_addr"), m_Domain_addr));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("nservers"), m_Nservers));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("expires_countdown"), m_Expires_countdown));
    
}

void Inline_response_200_4::fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix)
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

    setDateUpdated(ModelBase::stringFromHttpContent(multipart->getContent(U("date_updated"))));
    setRecordCreated(ModelBase::stringFromHttpContent(multipart->getContent(U("record_created"))));
    setSubjectContract(ModelBase::stringFromHttpContent(multipart->getContent(U("subject_contract"))));
    setEndDate(ModelBase::stringFromHttpContent(multipart->getContent(U("end_date"))));
    setPayedTill(ModelBase::stringFromHttpContent(multipart->getContent(U("payed_till"))));
    setObjectState(ModelBase::stringFromHttpContent(multipart->getContent(U("object_state"))));
    setDomainAddr(ModelBase::stringFromHttpContent(multipart->getContent(U("domain_addr"))));
    setNservers(ModelBase::stringFromHttpContent(multipart->getContent(U("nservers"))));
    setExpiresCountdown(ModelBase::int32_tFromHttpContent(multipart->getContent(U("expires_countdown"))));
    
}
    
   
utility::string_t Inline_response_200_4::getDateUpdated() const
{
	return m_Date_updated;
}
void Inline_response_200_4::setDateUpdated(utility::string_t value)
{
	m_Date_updated = value;
    
}
utility::string_t Inline_response_200_4::getRecordCreated() const
{
	return m_Record_created;
}
void Inline_response_200_4::setRecordCreated(utility::string_t value)
{
	m_Record_created = value;
    
}
utility::string_t Inline_response_200_4::getSubjectContract() const
{
	return m_Subject_contract;
}
void Inline_response_200_4::setSubjectContract(utility::string_t value)
{
	m_Subject_contract = value;
    
}
utility::string_t Inline_response_200_4::getEndDate() const
{
	return m_End_date;
}
void Inline_response_200_4::setEndDate(utility::string_t value)
{
	m_End_date = value;
    
}
utility::string_t Inline_response_200_4::getPayedTill() const
{
	return m_Payed_till;
}
void Inline_response_200_4::setPayedTill(utility::string_t value)
{
	m_Payed_till = value;
    
}
utility::string_t Inline_response_200_4::getObjectState() const
{
	return m_Object_state;
}
void Inline_response_200_4::setObjectState(utility::string_t value)
{
	m_Object_state = value;
    
}
utility::string_t Inline_response_200_4::getDomainAddr() const
{
	return m_Domain_addr;
}
void Inline_response_200_4::setDomainAddr(utility::string_t value)
{
	m_Domain_addr = value;
    
}
utility::string_t Inline_response_200_4::getNservers() const
{
	return m_Nservers;
}
void Inline_response_200_4::setNservers(utility::string_t value)
{
	m_Nservers = value;
    
}
int32_t Inline_response_200_4::getExpiresCountdown() const
{
	return m_Expires_countdown;
}
void Inline_response_200_4::setExpiresCountdown(int32_t value)
{
	m_Expires_countdown = value;
    
}

}
}
}
}

