/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#include "Inline_response_200_6.h"

namespace io {
namespace swagger {
namespace client {
namespace model {

Inline_response_200_6::Inline_response_200_6()
{
    m_Id = nullptr;
    m_Status = nullptr;
    m_Online = false;
    m_Mail = U("");
    m_Mercury_user = U("");
    m_Mercury_pwd = U("");
    m_Size_amount = nullptr;
    m_Size_file_count = nullptr;
    m_Archived_count = nullptr;
    m_Server_pop3 = U("");
    m_Server_smtp = U("");
    m_Server_webmail = U("");
    m_Server_imap = U("");
    m_Wm1 = U("");
    m_Wm2 = U("");
    
}

Inline_response_200_6::~Inline_response_200_6()
{
}

void Inline_response_200_6::validate() 
{
    // TODO: implement validation
}

web::json::value Inline_response_200_6::toJson() const
{
    web::json::value val = web::json::value::object();
     
	val[U("id")] = ModelBase::toJson(m_Id);
    val[U("status")] = ModelBase::toJson(m_Status);
    val[U("online")] = ModelBase::toJson(m_Online);
    val[U("mail")] = ModelBase::toJson(m_Mail);
    val[U("mercury_user")] = ModelBase::toJson(m_Mercury_user);
    val[U("mercury_pwd")] = ModelBase::toJson(m_Mercury_pwd);
    val[U("size_amount")] = ModelBase::toJson(m_Size_amount);
    val[U("size_file_count")] = ModelBase::toJson(m_Size_file_count);
    val[U("archived_count")] = ModelBase::toJson(m_Archived_count);
    val[U("server_pop3")] = ModelBase::toJson(m_Server_pop3);
    val[U("server_smtp")] = ModelBase::toJson(m_Server_smtp);
    val[U("server_webmail")] = ModelBase::toJson(m_Server_webmail);
    val[U("server_imap")] = ModelBase::toJson(m_Server_imap);
    val[U("wm1")] = ModelBase::toJson(m_Wm1);
    val[U("wm2")] = ModelBase::toJson(m_Wm2);
    

    return val;
}

void Inline_response_200_6::fromJson(web::json::value& val)
{
    setId(ModelBase::int32_tFromJson(val[U("id")]));
    setStatus(ModelBase::int32_tFromJson(val[U("status")]));
    setOnline(ModelBase::boolFromJson(val[U("online")]));
    setMail(ModelBase::stringFromJson(val[U("mail")]));
    setMercuryUser(ModelBase::stringFromJson(val[U("mercury_user")]));
    setMercuryPwd(ModelBase::stringFromJson(val[U("mercury_pwd")]));
    setSizeAmount(ModelBase::int32_tFromJson(val[U("size_amount")]));
    setSizeFileCount(ModelBase::int32_tFromJson(val[U("size_file_count")]));
    setArchivedCount(ModelBase::int32_tFromJson(val[U("archived_count")]));
    setServerPop3(ModelBase::stringFromJson(val[U("server_pop3")]));
    setServerSmtp(ModelBase::stringFromJson(val[U("server_smtp")]));
    setServerWebmail(ModelBase::stringFromJson(val[U("server_webmail")]));
    setServerImap(ModelBase::stringFromJson(val[U("server_imap")]));
    setWm1(ModelBase::stringFromJson(val[U("wm1")]));
    setWm2(ModelBase::stringFromJson(val[U("wm2")]));
    
}

void Inline_response_200_6::toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix) const
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

	multipart->add(ModelBase::toHttpContent(namePrefix + U("id"), m_Id));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("status"), m_Status));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("online"), m_Online));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("mail"), m_Mail));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("mercury_user"), m_Mercury_user));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("mercury_pwd"), m_Mercury_pwd));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("size_amount"), m_Size_amount));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("size_file_count"), m_Size_file_count));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("archived_count"), m_Archived_count));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("server_pop3"), m_Server_pop3));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("server_smtp"), m_Server_smtp));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("server_webmail"), m_Server_webmail));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("server_imap"), m_Server_imap));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("wm1"), m_Wm1));
    multipart->add(ModelBase::toHttpContent(namePrefix + U("wm2"), m_Wm2));
    
}

void Inline_response_200_6::fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& prefix)
{
    utility::string_t namePrefix = prefix;
	if(namePrefix.size() > 0 && namePrefix[namePrefix.size() - 1] != U('.'))
	{
		namePrefix += U(".");
	}

    setId(ModelBase::int32_tFromHttpContent(multipart->getContent(U("id"))));
    setStatus(ModelBase::int32_tFromHttpContent(multipart->getContent(U("status"))));
    setOnline(ModelBase::boolFromHttpContent(multipart->getContent(U("online"))));
    setMail(ModelBase::stringFromHttpContent(multipart->getContent(U("mail"))));
    setMercuryUser(ModelBase::stringFromHttpContent(multipart->getContent(U("mercury_user"))));
    setMercuryPwd(ModelBase::stringFromHttpContent(multipart->getContent(U("mercury_pwd"))));
    setSizeAmount(ModelBase::int32_tFromHttpContent(multipart->getContent(U("size_amount"))));
    setSizeFileCount(ModelBase::int32_tFromHttpContent(multipart->getContent(U("size_file_count"))));
    setArchivedCount(ModelBase::int32_tFromHttpContent(multipart->getContent(U("archived_count"))));
    setServerPop3(ModelBase::stringFromHttpContent(multipart->getContent(U("server_pop3"))));
    setServerSmtp(ModelBase::stringFromHttpContent(multipart->getContent(U("server_smtp"))));
    setServerWebmail(ModelBase::stringFromHttpContent(multipart->getContent(U("server_webmail"))));
    setServerImap(ModelBase::stringFromHttpContent(multipart->getContent(U("server_imap"))));
    setWm1(ModelBase::stringFromHttpContent(multipart->getContent(U("wm1"))));
    setWm2(ModelBase::stringFromHttpContent(multipart->getContent(U("wm2"))));
    
}
    
   
int32_t Inline_response_200_6::getId() const
{
	return m_Id;
}
void Inline_response_200_6::setId(int32_t value)
{
	m_Id = value;
    
}
int32_t Inline_response_200_6::getStatus() const
{
	return m_Status;
}
void Inline_response_200_6::setStatus(int32_t value)
{
	m_Status = value;
    
}
bool Inline_response_200_6::getOnline() const
{
	return m_Online;
}
void Inline_response_200_6::setOnline(bool value)
{
	m_Online = value;
    
}
utility::string_t Inline_response_200_6::getMail() const
{
	return m_Mail;
}
void Inline_response_200_6::setMail(utility::string_t value)
{
	m_Mail = value;
    
}
utility::string_t Inline_response_200_6::getMercuryUser() const
{
	return m_Mercury_user;
}
void Inline_response_200_6::setMercuryUser(utility::string_t value)
{
	m_Mercury_user = value;
    
}
utility::string_t Inline_response_200_6::getMercuryPwd() const
{
	return m_Mercury_pwd;
}
void Inline_response_200_6::setMercuryPwd(utility::string_t value)
{
	m_Mercury_pwd = value;
    
}
int32_t Inline_response_200_6::getSizeAmount() const
{
	return m_Size_amount;
}
void Inline_response_200_6::setSizeAmount(int32_t value)
{
	m_Size_amount = value;
    
}
int32_t Inline_response_200_6::getSizeFileCount() const
{
	return m_Size_file_count;
}
void Inline_response_200_6::setSizeFileCount(int32_t value)
{
	m_Size_file_count = value;
    
}
int32_t Inline_response_200_6::getArchivedCount() const
{
	return m_Archived_count;
}
void Inline_response_200_6::setArchivedCount(int32_t value)
{
	m_Archived_count = value;
    
}
utility::string_t Inline_response_200_6::getServerPop3() const
{
	return m_Server_pop3;
}
void Inline_response_200_6::setServerPop3(utility::string_t value)
{
	m_Server_pop3 = value;
    
}
utility::string_t Inline_response_200_6::getServerSmtp() const
{
	return m_Server_smtp;
}
void Inline_response_200_6::setServerSmtp(utility::string_t value)
{
	m_Server_smtp = value;
    
}
utility::string_t Inline_response_200_6::getServerWebmail() const
{
	return m_Server_webmail;
}
void Inline_response_200_6::setServerWebmail(utility::string_t value)
{
	m_Server_webmail = value;
    
}
utility::string_t Inline_response_200_6::getServerImap() const
{
	return m_Server_imap;
}
void Inline_response_200_6::setServerImap(utility::string_t value)
{
	m_Server_imap = value;
    
}
utility::string_t Inline_response_200_6::getWm1() const
{
	return m_Wm1;
}
void Inline_response_200_6::setWm1(utility::string_t value)
{
	m_Wm1 = value;
    
}
utility::string_t Inline_response_200_6::getWm2() const
{
	return m_Wm2;
}
void Inline_response_200_6::setWm2(utility::string_t value)
{
	m_Wm2 = value;
    
}

}
}
}
}

