/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * Inline_response_200_6.h
 * 
 * 
 */

#ifndef Inline_response_200_6_H_
#define Inline_response_200_6_H_


#include "ModelBase.h"

#include <cpprest/details/basic_types.h>

namespace io {
namespace swagger {
namespace client {
namespace model {

/// <summary>
/// 
/// </summary>
class  Inline_response_200_6
	: public ModelBase
{
public:
    Inline_response_200_6();
    virtual ~Inline_response_200_6();

	/////////////////////////////////////////////
	/// ModelBase overrides
	
    void validate() override;

    web::json::value toJson() const override;
    void fromJson(web::json::value& json) override;

    void toMultipart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& namePrefix) const override;
    void fromMultiPart(std::shared_ptr<MultipartFormData> multipart, const utility::string_t& namePrefix) override;
    
 	/////////////////////////////////////////////
	/// Inline_response_200_6 members
	   
    /// <summary>
    /// идентификатор ящика
    /// </summary>
    int32_t getId() const;
    void setId(int32_t value);
        /// <summary>
    /// 
    /// </summary>
    int32_t getStatus() const;
    void setStatus(int32_t value);
        /// <summary>
    /// ящик работает, если true
    /// </summary>
    bool getOnline() const;
    void setOnline(bool value);
        /// <summary>
    /// полный адрес ящика
    /// </summary>
    utility::string_t getMail() const;
    void setMail(utility::string_t value);
        /// <summary>
    /// имя пользователя для входа в Mercury
    /// </summary>
    utility::string_t getMercuryUser() const;
    void setMercuryUser(utility::string_t value);
        /// <summary>
    /// пароль для входа в Mercury
    /// </summary>
    utility::string_t getMercuryPwd() const;
    void setMercuryPwd(utility::string_t value);
        /// <summary>
    /// текущий размер ящика
    /// </summary>
    int32_t getSizeAmount() const;
    void setSizeAmount(int32_t value);
        /// <summary>
    /// количество файлов, занятых ящиком
    /// </summary>
    int32_t getSizeFileCount() const;
    void setSizeFileCount(int32_t value);
        /// <summary>
    /// 
    /// </summary>
    int32_t getArchivedCount() const;
    void setArchivedCount(int32_t value);
        /// <summary>
    /// адрес сервера для доступа к ящику по POP3
    /// </summary>
    utility::string_t getServerPop3() const;
    void setServerPop3(utility::string_t value);
        /// <summary>
    /// адрес сервера для доступа к ящику по SMTP
    /// </summary>
    utility::string_t getServerSmtp() const;
    void setServerSmtp(utility::string_t value);
        /// <summary>
    /// адрес сервера Webmail для входа в ящик через браузер
    /// </summary>
    utility::string_t getServerWebmail() const;
    void setServerWebmail(utility::string_t value);
        /// <summary>
    /// адрес сервера для доступа к ящику по IMAP
    /// </summary>
    utility::string_t getServerImap() const;
    void setServerImap(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getWm1() const;
    void setWm1(utility::string_t value);
        /// <summary>
    /// 
    /// </summary>
    utility::string_t getWm2() const;
    void setWm2(utility::string_t value);
        
protected:
    int32_t m_Id;
    int32_t m_Status;
    bool m_Online;
    utility::string_t m_Mail;
    utility::string_t m_Mercury_user;
    utility::string_t m_Mercury_pwd;
    int32_t m_Size_amount;
    int32_t m_Size_file_count;
    int32_t m_Archived_count;
    utility::string_t m_Server_pop3;
    utility::string_t m_Server_smtp;
    utility::string_t m_Server_webmail;
    utility::string_t m_Server_imap;
    utility::string_t m_Wm1;
    utility::string_t m_Wm2;
    };

}
}
}
}

#endif /* Inline_response_200_6_H_ */
